with ada.text_io;
procedure BRUCH_07 is
---------------------------------------------------------------------------
-- Zeigt den Umgang mit einem Gleitpunkttyp (namens GLEIT1).
---------------------------------------------------------------------------
   type     GLEIT1    is digits 7;
   package  GLEIT1_EA is new ada.text_io.float_io(num => GLEIT1);
   A1, B1 : GLEIT1;
   ------------------------------------------------------------------------
   procedure PUT(S: string; G: GLEIT1) is
   -- Gibt den String S und die Gleitpunktzahl G zur aktuellen Ausgabe aus
   begin
      ada.text_io.put(item => S);
      GLEIT1_EA  .put(item => G);
      ada.text_io.new_line;
   end PUT;
   ------------------------------------------------------------------------
begin
   loop
      ada.text_io.put(item => "BRUCH_07: Zwei Bruchzahlen A1 und B1? ");
      GLEIT1_EA.get(item => A1);
      GLEIT1_EA.get(item => B1);
      PUT(S => "A1    ist gleich ", G => A1);
      PUT(S => "B1    ist gleich ", G => B1);
      PUT(S => "A1+B1 ist gleich ", G => A1+B1);
      PUT(S => "A1-B1 ist gleich ", G => A1-B1);
      PUT(S => "A1*B1 ist gleich ", G => A1*B1);
      PUT(S => "A1/B1 ist gleich ", G => A1/B1);
   end loop;
end BRUCH_07;