with ada.text_io;
procedure BRUCH_08 is
---------------------------------------------------------------------------
-- Zeigt den Umgang mit zwei Gleitpunkttypen (namens GLEIT1 und
-- GLEIT2) unterschiedlicher Genauigkeit.
---------------------------------------------------------------------------
   type    GLEIT1    is digits 7;
   type    GLEIT2    is digits 15;
   package GLEIT1_EA is new ada.text_io.float_io(num => GLEIT1);
   package GLEIT2_EA is new ada.text_io.float_io(num => GLEIT2);
   A1, B1 : GLEIT1;
   A2, B2 : GLEIT2;
   ------------------------------------------------------------------------
   procedure PUT(S: string; G: GLEIT1) is
   -- Gibt den String S und die Gleitpunktzahl G zur aktuellen Ausgabe aus
      BLANKS: constant string(1..4) := (others => ' ');
   begin
      ada.text_io.put(item => S & BLANKS);
      GLEIT1_EA  .put(item => G);
      ada.text_io.new_line;
   end PUT;
   ------------------------------------------------------------------------
   procedure PUT(S: string; G: GLEIT2) is
   -- Gibt den String S und die Gleitpunktzahl G zur aktuellen Ausgabe aus
      BLANKS : constant string(1..4) := (others => ' ');
   begin
      ada.text_io.put(item => S & BLANKS);
      GLEIT2_EA  .put(item => G);
      ada.text_io.new_line;
   end PUT;
   ------------------------------------------------------------------------
begin
   loop
      ada.text_io.put(item => "BRUCH_08: Zwei Bruchzahlen A1 und B2? ");
      GLEIT1_EA.get(item => A1);
      GLEIT2_EA.get(item => B2);
      A2 := GLEIT2(A1);
      B1 := GLEIT1(B2);
      PUT(S => "A1    ist gleich ", G => A1);
      PUT(S => "A2    ist gleich ", G => A2);
      PUT(S => "B1    ist gleich ", G => B1);
      PUT(S => "B2    ist gleich ", G => B2);   
      PUT(S => "A1+B1 ist gleich ", G => A1+B1);
      PUT(S => "A1-B1 ist gleich ", G => A1-B1);
      PUT(S => "A1*B2 ist gleich ", G => A1*B1);
      PUT(S => "A1/B2 ist gleich ", G => A1/B1);
      PUT(S => "A2+B2 ist gleich ", G => A2+B2);
      PUT(S => "A2-B2 ist gleich ", G => A2-B2);
      PUT(S => "A1*B2 ist gleich ", G => A2*B2);
      PUT(S => "A1/B2 ist gleich ", G => A2/B2);
   end loop;
end BRUCH_08;