with ada.text_io;
procedure BRUCH_12 is
---------------------------------------------------------------------------
-- Liest zwei Bruchzahlen mit je 2 Nachpunktstellen ein, multipliziert sie
-- exakt, rundet das Produkt auf 2 Nachpunktstellen und gibt das gerundete
-- Produkt aus.
---------------------------------------------------------------------------
   type    DFIX1    is delta 0.01   digits 6;  -- mit 2 Nachpunktstellen
   type    DFIX2    is delta 0.0001 digits 8;  -- mit 4 Nachpunktstellen
   package DFIX1_EA is new ada.text_io.decimal_io(num => DFIX1);
   A1, B1: DFIX1;                              -- mit 2 Nachpunktstellen
   A2    : DFIX2;                              -- mit 4 Nachpunktstellen
begin
   loop
      ada.text_io.put(item => "Zwei Bruchzahlen mit je 2 " &
                              "Nachpunktstellen (0 zum Beenden): ");
      DFIX1_EA.get(item => A1);
      exit when A1 = 0.0;
      DFIX1_EA.get(item => B1);
      A2 := A1 * B1;                   -- Produkt exakt berechnen
      A2 := A2 + 0.005;                -- Produkt runden
      ada.text_io.put(item => "Das Produkt dieser Zahlen ist gleich ");
      DFIX1_EA.put(item => DFIX1(A2)); -- 2 Nachpunktstellen abschneiden
      ada.text_io.new_line;
   end loop;
   ada.text_io.put_line(item => "BRUCH_12: Das war's erstmal!");
end BRUCH_12;