with ada.text_io, ada.sequential_io;
use  ada.text_io;
procedure EASEQ_02 is
---------------------------------------------------------------------------
-- Liest Verbunde aus einer sequentiellen Datei namens EASEQ_01.AUS und
-- gibt sie zur aktuellen Ausgabe aus. Eine geeignete Datei namens
-- EASEQ_01.AUS kann mit dem Programm DATEAP03 erstellt werden.
---------------------------------------------------------------------------
   type GESCHLECHT is (WEIBLICH, MAENNLICH, UNBESTIMMT); -- ladies first
   type PERSON     is record
      NAME : string(1..10)  := "Jedermann ";
      ART  : GESCHLECHT     := UNBESTIMMT;
   end record;
   -----------------------------------------------------------------------
   package PERSON_EA is new ada.sequential_io(element_type => PERSON);
   -----------------------------------------------------------------------
   AUSWEIS1 : PERSON_EA.file_type; -- und nicht text_io.file_type!
   P        : PERSON;
   -----------------------------------------------------------------------
begin -- EASEQ_02
   put_line(item => "In der Datei EASEQ_01.AUS steht: ");
   PERSON_EA.open(file =>  AUSWEIS1,
                  mode =>  PERSON_EA.in_file,
                  name => "EASEQ_01.AUS");
   -----------------------------------------------------------------------
   while not PERSON_EA.end_of_file(file => AUSWEIS1) loop
      PERSON_EA.read(file => AUSWEIS1, item => P);
      put_line(item => P.NAME  &  " ist "  &  GESCHLECHT'image(P.ART));
   end loop;
   -----------------------------------------------------------------------
   PERSON_EA.close(file => AUSWEIS1);
end EASEQ_02;
