with ada.text_io, EAS_A_01;
procedure EAS_A_02 is
---------------------------------------------------------------------------
-- Schreibt Strings unterschiedlicher Laenge in einen Strom (stream) namens
-- STROM1, liest sie dann wieder aus dem STROM1 und gibt sie zur aktuellen
-- Ausgabe aus. Dies geschieht zweimal: einmal mit string'write/string'read 
-- und dann noch mal mit string'output/string'input.
---------------------------------------------------------------------------
   STROM1: aliased EAS_A_01.SCHLANGE;
   T1    : string := "Vom Eise befreit sind Strom und Baeche";
   T2    : string := "Durch des Fruehlings holden, belebenden Blick;";
   T3    : string := "Im Tale gruenet Hoffnungsglueck.";
   S29   : string(1..29); -- Zum Einlesen mit der Prozedur string'read
begin
   ------------------------------------------------------------------
   -- Mit string'write schreiben und mit string'read lesen:
   string'write (STROM1'access, T1);
   string'write (STROM1'access, T2);
   string'write (STROM1'access, T3);
   
   for I in 1..4 loop
      string'read  (STROM1'access, S29);
      ada.text_io.put_line(item => S29);
   end loop;
   
   ada.text_io.new_line;
   ------------------------------------------------------------------
   -- Mit string'output schreiben und mit string'input lesen:
   string'output(STROM1'access, T1);
   string'output(STROM1'access, T2); 
   string'output(STROM1'access, T3);
   
   for I in 1..3 loop
      ada.text_io.put_line(item => string'input(STROM1'access));
   end loop;

end EAS_A_02;
   