package EAS_A_04 is
---------------------------------------------------------------------------
-- Stellt seinen Benutzern einen abstrakten etikettierten Typ !WAGEN, zwei
-- davon abgeleitete Typen !PERSONEN_WAGEN und !LAST_WAGEN und diverse
-- PUT-Prozeduren zur Verfuegung.
---------------------------------------------------------------------------
   type ANZAHL is range 0..100_000;
   type WAGEN is abstract tagged record
      GEWICHT: ANZAHL        := 0;
      KENNZ  : string(1..10) := (others => '?');
   end record;
   procedure PUT(ITEM: WAGEN);
   
   type PERSONEN_WAGEN is new WAGEN with record
      SITZE: ANZAHL range 0..10 := 0;
   end record;
   procedure PUT(ITEM: PERSONEN_WAGEN);
   
   type LAST_WAGEN is new WAGEN with record
      ACHSEN:  ANZAHL range 0..20 := 0;
      HAENGER: boolean            := false;
   end record;
   procedure PUT(ITEM: LAST_WAGEN);
   
   procedure PUT_CW(ITEM: WAGEN'class);
end EAS_A_04;