with EAS_A_04, EAS_A_01;
procedure EAS_A_05 is
---------------------------------------------------------------------------
-- Schreibt Werte der Typen !PERSONEN_WAGEN und !LAST_WAGEN in einen Strom
-- (stream) namens STROM1, liest sie von dort wieder ein und gibt sie zur
-- aktuellen Ausgabe aus. Die beiden Typen !PERSONEN_WAGEN und !LAST_WAGEN
-- sind Erweiterungen des etikettierten Typs !WAGEN (siehe EAS_A_04).
---------------------------------------------------------------------------
   package EA4 renames EAS_A_04;
   package EA1 renames EAS_A_01;
   STROM1: aliased EA1.SCHLANGE;
   PW1   : EA4.PERSONEN_WAGEN := (   600, "BRB-XY1234", 5);
   PW2   : EA4.PERSONEN_WAGEN := (   850, "B-ABC4321 ", 2);
   LW1   : EA4.LAST_WAGEN     := ( 7_500, "OHV-KL5678", 2, false);
   LW2   : EA4.LAST_WAGEN     := (25_000, "HVL-SD6375", 3, true);
begin
   ------------------------------------------------------------------
   -- Ein paar Werte verschiedener Typen (!PERSONEN_WAGEN und
   -- !LAST_WAGEN) werden in den STROM1 geschrieben:
   EA4.WAGEN'class'output(STROM1'access, EA4.WAGEN'class(PW1));
   EA4.WAGEN'class'output(STROM1'access, EA4.WAGEN'class(LW1));
   EA4.WAGEN'class'output(STROM1'access, EA4.WAGEN'class(LW2));
   EA4.WAGEN'class'output(STROM1'access, EA4.WAGEN'class(PW2));
   ------------------------------------------------------------------
   -- Aus dem STROM1 werden alle Werte gelesen und zur aktuellen
   -- Ausgabe ausgegeben. In PUT_CW ("put class wide") wird per Wahl-
   -- aufruf die "passende" PUT-Prozedur aufgerufen.
   EA4.PUT_CW(ITEM => EA4.WAGEN'class'input(STROM1'access));
   EA4.PUT_CW(ITEM => EA4.WAGEN'class'input(STROM1'access));
   EA4.PUT_CW(ITEM => EA4.WAGEN'class'input(STROM1'access));
   EA4.PUT_CW(ITEM => EA4.WAGEN'class'input(STROM1'access));
   -- In der Zeile nach "begin" verlangt der Gnat-Compiler 3.10 (970814)
   -- die Typumwandlung "WAGEN'class(PW1)" statt einfach "PW1".
   -- Fuer die nachfolgenden Zeilen entsprechend. Compilerfehler???
end EAS_A_05;
