with EAS_A_04, ada.streams.stream_io;
procedure EAS_B_05 is
---------------------------------------------------------------------------
-- Schreibt Werte der Typen !PERSONEN_WAGEN und !LAST_WAGEN in eine Strom-
-- datei, liest sie von dort wieder ein und gibt sie zur aktuellen Ausgabe
-- aus. Die beiden Typen !PERSONEN_WAGEN und !LAST_WAGEN sind Erweiterungen
-- des etikettierten Typs !WAGEN (siehe EAS_A_04).
---------------------------------------------------------------------------
   package EA4 renames EAS_A_04;
   package SIO renames ada.streams.stream_io;
   AUSWEIS1: SIO.file_type;
   STROM1_Z: SIO.stream_access;
   PW1     : EA4.PERSONEN_WAGEN := (   600, "BRB-XY1234", 5);
   PW2     : EA4.PERSONEN_WAGEN := (   850, "B-ABC4321 ", 2);
   LW1     : EA4.LAST_WAGEN     := ( 7_500, "OHV-KL5678", 2, false);
   LW2     : EA4.LAST_WAGEN     := (25_000, "HVL-SD6375", 3, true);
begin
   ------------------------------------------------------------------
   -- Eine neue, leere Stromdatei wird erzeugt. Dem Zeiger STROM1_Z
   -- wird ein Wert zugewiesen, so dass er auf diese Datei zeigt.
   SIO.create(file => AUSWEIS1, name => "EAS_B_05.AUS");
   STROM1_Z := SIO.stream(file => AUSWEIS1);
   ------------------------------------------------------------------
   -- Ein paar Werte verschiedener Typen (!PERSONEN_WAGEN und
   -- !LAST_WAGEN) werden in die Stromdatei geschrieben:
   EA4.WAGEN'class'output(STROM1_Z, EA4.WAGEN'class(PW1));
   EA4.WAGEN'class'output(STROM1_Z, EA4.WAGEN'class(LW1));
   EA4.WAGEN'class'output(STROM1_Z, EA4.WAGEN'class(LW2));
   EA4.WAGEN'class'output(STROM1_Z, EA4.WAGEN'class(PW2));
   ------------------------------------------------------------------
   -- Aus der Stromdatei werden alle Werte gelesen und zur aktuellen
   -- Ausgabe ausgegeben. In PUT_CW ("put class wide") wird per Wahl-
   -- aufruf die "passende" PUT-Prozedur aufgerufen.
   SIO.reset(file => AUSWEIS1, mode => SIO.in_file);
   EA4.PUT_CW(ITEM => EA4.WAGEN'class'input(STROM1_Z));
   EA4.PUT_CW(ITEM => EA4.WAGEN'class'input(STROM1_Z));
   EA4.PUT_CW(ITEM => EA4.WAGEN'class'input(STROM1_Z));
   EA4.PUT_CW(ITEM => EA4.WAGEN'class'input(STROM1_Z));
   ------------------------------------------------------------------
   SIO.close(file => AUSWEIS1);
   -- In der Zeile 26 verlangt der Gnat-Compiler 3.10 (970814) die
   -- Typumwandlung "WAGEN'class(PW1)" statt einfach "PW1". Fuer die
   -- nachfolgenden Zeilen 27 bis 29 entsprechend. Compilerfehler???
end EAS_B_05;
