with ada.text_io;
use  ada.text_io;
procedure EATXT_03 is
---------------------------------------------------------------------------
-- Falls schon eine Datei namens EATXT_03.AUS existiert, wird sie um zwei
-- Zeilen verlaengert (Modus append_file).. Sonst wird eine neue Datei mit
-- diesem Namen erzeugt und die zwei Zeilen werden hineingeschrieben.
---------------------------------------------------------------------------
   AUSWEIS1: file_type;
   DAT_NAM : string := "EATXT_03.AUS"; -- Dateiname
   EIN:      string(1..100);           -- Eingabepuffer
   LBI:      natural;                  -- Letzter belegter Index
begin
   ------------------------------------------------------------------
   BLOCK1: begin
      open    (file =>  AUSWEIS1, mode => append_file, name => DAT_NAM);
      put_line(item => "Existierende Datei geoeffnet!");
   exception
      when name_error =>   -- falls keine Datei mit Name DAT_NAM existiert:
         create  (file =>  AUSWEIS1, mode => out_file, name => DAT_NAM);
         put_line(item => "Neue leere Datei erzeugt!");
   end BLOCK1;
   ------------------------------------------------------------------
   -- Zwei Zeilen in die Datei schreiben bzw. "hinten anhaengen":
   put_line(item => "Zeile 1!", file => AUSWEIS1);
   put_line(item => "Zeile 2!", file => AUSWEIS1);
   ------------------------------------------------------------------
   -- Alle Zeilen der Datei zur aktuellen Ausgabe ausgeben:
   reset   (file =>  AUSWEIS1, mode => in_file);
   while not end_of_file(file => AUSWEIS1) loop
      get_line(item => EIN, last => LBI, file => AUSWEIS1);
      put_line(item => EIN(EIN'first..LBI));
   end loop;
   close(file => AUSWEIS1);
   ------------------------------------------------------------------
end EATXT_03;