with ada.text_io;
procedure GANZT_20 is
---------------------------------------------------------------------------
-- Demonstriert verschiedene Mglichkeiten der Formatkontrolle beim
-- Ausgeben von Ganzzahlen (mit einer Instanz von integer_io).
---------------------------------------------------------------------------
   type    OTTO    is range -99_999..+99_999; -- Fuenfstellige Ganzzahlen
   package OTTO_EA is new ada.text_io.integer_io(num=> OTTO);
   G1 :    OTTO;
begin
   ada.text_io.put(item => "Eine Ganzzahl G1 (-99_999..+99_999): ");
   OTTO_EA.    get(item =>  G1);
   ada.text_io.put(item => "G1 mit width =>  0 und base => 10: ");
   OTTO_EA.    put(item =>  G1,    width =>  0,    base => 10);
   ada.text_io.new_line;
   ada.text_io.put(item => "G1 mit width =>  6 und base => 10: ");
   OTTO_EA.    put(item =>  G1,    width =>  6,    base => 10);
   ada.text_io.new_line;
   ada.text_io.put(item => "G1 mit width =>  7 und base => 10: ");
   OTTO_EA.    put(item =>  G1,    width =>  7,    base => 10);
   ada.text_io.new_line;
   ada.text_io.put(item => "G1 mit width =>  8 und base => 10: ");
   OTTO_EA.    put(item =>  G1,    width =>  8,    base => 10);
   ada.text_io.new_line;
   ada.text_io.put(item => "G1 mit width =>  0 und base =>  2: ");
   OTTO_EA.    put(item =>  G1,    width =>  0,    base =>  2);
   ada.text_io.new_line;
   ada.text_io.put(item => "G1 mit width => 20 und base =>  2: ");
   OTTO_EA.    put(item =>  G1,    width => 20,    base =>  2);
   ada.text_io.new_line;
   ada.text_io.put(item => "G1 mit width => 25 und base =>  2: ");
   OTTO_EA.    put(item =>  G1,    width => 25,    base =>  2);
   ada.text_io.new_line;
   ada.text_io.put(item => "G1 mit width => 30 und base =>  2: ");
   OTTO_EA.    put(item =>  G1,    width => 30,    base =>  2);
   ada.text_io.new_line;
   ada.text_io.put(item => "G1 mit width =>  0 und base =>  8: ");
   OTTO_EA.    put(item =>  G1,    width =>  0,    base =>  8);
   ada.text_io.new_line;
   ada.text_io.put(item => "G1 mit width =>  0 und base => 12: ");
   OTTO_EA.    put(item =>  G1,    width =>  0,    base => 12);
   ada.text_io.new_line;
   ada.text_io.put(item => "G1 mit width =>  0 und base => 16: ");
   OTTO_EA.    put(item =>  G1,    width =>  0,    base => 16);
   ada.text_io.new_line;
end GANZT_20;
