with ada.text_io;
procedure GANZT_21 is
---------------------------------------------------------------------------
-- Demonstriert verschiedene Mglichkeiten der Formatkontrolle beim
-- Einlesen von Ganzzahlen (mit einer Instanz von integer_io).
-- Es geht um den width-Parameter der get-Prozedur aus dem Paket OTTO_EA.
---------------------------------------------------------------------------
   type    OTTO    is range -99_999..+99_999; -- Fuenfstellige Ganzzahlen
   package OTTO_EA is new ada.text_io.integer_io(num=> OTTO);
   G1, G2: OTTO;   -- werden eingelesen.
begin
   ada.text_io.put(item => "Zwei Ganzzahlen G1 und G2 (-99_999..+99_999): ");
   OTTO_EA.    get(item =>  G1, width => 0);  -- Lies "wie ueblich"
   OTTO_EA.    get(item =>  G2, width => 0);  -- Lies "wie ueblich"
   ada.text_io.put(item => "Sie haben folgende Zahlen eingegben         : ");
   OTTO_EA.    put(item =>  G1);
   OTTO_EA.    put(item =>  G2);
   ada.text_io.new_line;
   ada.text_io.skip_line;
   ------------------------------------------------------------------------
   ada.text_io.put(item => "Bitte geben Sie genau 7 Ziffern ein         : ");
   OTTO_EA.    get(item =>  G1, width => 2);  -- Lies genau 2 Ziffern
   OTTO_EA.    get(item =>  G2, width => 5);  -- Lies genau 5 Ziffern
   ada.text_io.put(item => "Sie haben folgende Zahlen eingegben         : ");
   OTTO_EA.    put(item =>  G1);
   OTTO_EA.    put(item =>  G2);
   ada.text_io.new_line;
   ada.text_io.skip_line;
   ------------------------------------------------------------------------
   ada.text_io.put(item => "Bitte geben Sie genau 7 Ziffern ein         : ");
   OTTO_EA.    get(item =>  G1, width => 4);  -- Lies genau 4 Ziffern
   OTTO_EA.    get(item =>  G2, width => 3);  -- Lies genau 3 Ziffern
   ada.text_io.put(item => "Sie haben folgende Zahlen eingegben         : ");
   OTTO_EA.    put(item =>  G1);
   OTTO_EA.    put(item =>  G2);
   ada.text_io.new_line;
   ada.text_io.skip_line;
end GANZT_21;