with ada.text_io;
procedure IFANW_02 is
---------------------------------------------------------------------------
-- Ein (hoffentlich) abschreckendes Beispiel! Nicht nachahmenswert!
-- Dieses Programm soll
-- 1. Drei Zeichen von der aktuellen Eingabe einlesen
-- 2. Falls zwei der drei Zeichen gleich sind, soll eine Fehlermeldung
--    ausgegeben und das Programm beendet werden.
-- 3. Sonst sollen die drei eingelesenen Zeichen in aufsteigend sortierter
--    Reihenfolge zur aktuellen Ausgabe ausgegeben werden.
--
-- Das Progrmm enthaelt Fehler (mindestens einen). In bestimmten Faellen
-- sind die ausgegeben Zeichen nicht richtig sortiert. Koennen Sie die
-- Fehler finden und korrigieren?
--
-- Dieses Programm soll deutlich machen, wie schwer doppelt geschachtelte
-- if-Anweisungen zu verstehen sind!
---------------------------------------------------------------------------
   Z1, Z2, Z3: character; -- Werden eingelesen.
begin
   -- Drei verschiedene Zeichen von der aktuellen Eingabe einlesen:
   ada.text_io.put(item => "Bitte geben Sie drei verschiedene " &
                           "Zeichen ein: ");
   ada.text_io.get(item => Z1);
   ada.text_io.get(item => Z2);
   ada.text_io.get(item => Z3);

   -- Falls zwei der Zeichen gleich sind, Fehlermeldung und Abbruch:
   if Z1 = Z2 or Z2 = Z3 or Z3 = Z1 then
      ada.text_io.put(item => "Leider sind mind. 2 Zeichen gleich!");
      return;              -- Beende die Prozedur IFANW_02 (Abbruch)
   end if;

   -- Sonst Zeichen aufsteigend sortiert wieder ausgeben:
   if Z1 < Z2 then
      if Z2 < Z3 then
         ada.text_io.put(item => Z1 & Z2 & Z3);
      else
         if Z1 < Z3 then
            ada.text_io.put(Z1 & Z3 & Z2);
         else
            ada.text_io.put(Z3 & Z1 & Z2);
         end if;
      end if;
   else
      if Z2 < Z3 then
         if Z1 < Z3 then
            ada.text_io.put(item => Z2 & Z1 & Z3);
         else
            ada.text_io.put(item => Z3 & Z2 & Z1);
         end if;
      else
         ada.text_io.put(item => Z2 & Z3 & Z1);
      end if;
   end if;

end IFANW_02;