with ada.text_io;
procedure IFANW_03 is
---------------------------------------------------------------------------
-- Liest drei Ganzzahlen von der aktuellen Eingabe und gibt die groesste
-- der drei Zahlen zur aktuellen Ausgabe aus.
---------------------------------------------------------------------------
   type    GANZ    is range 0..100;
   package GANZ_EA is new ada.text_io.integer_io(num => GANZ);
   G1, G2, G3 : GANZ;    -- Werden eingelesen.
   MAX        : GANZ;    -- Fuer das Maximum von G1, G2 und G3
begin
   -- Drei Ganzzahlen nach G1, G2 und G3 einlesen:
   ada.text_io.put(item => "Bitte drei Ganzzahlen (0..100) eingeben: ");
   GANZ_EA.get(item => G1);
   GANZ_EA.get(item => G2);
   GANZ_EA.get(item => G3);

   -- Die groesste der drei Zahlen nach MAX bringen:
   MAX := G1;            -- Wir nehmen mal an, G1 ist am groessten.
   if G2 > MAX then      -- Wenn diese Annahme nicht stimmt, dann
      MAX := G2;         -- nehmen wir an, da G2 am groessten ist.
   end if;
   if G3 > MAX then      -- Wenn die letzte Annahme nicht stimmt, dann
      MAX := G3;         -- wissen wir, da G3 am groessten ist.
   end if;

   -- MAX ausgeben:
   ada.text_io.put(item => "Die groesste der drei Zahlen ist ");
   GANZ_EA.put    (item =>  MAX);
end IFANW_03;