with ada.text_io;
procedure IFANW_04 is
---------------------------------------------------------------------------
-- Liest fuenf Ganzzahlen von der aktuellen Eingabe und gibt die groesste
-- der fuenf Zahlen zur aktuellen Ausgabe aus.
---------------------------------------------------------------------------
   type    GANZ    is range 0..100;
   package GANZ_EA is new ada.text_io.integer_io(num => GANZ);
   G1, G2, G3, G4, G5 : GANZ;    -- Werden eingelesen.
   MAX                : GANZ;    -- Fuer das Maximum von G1 bis G5.
begin
   -- Fuenf Ganzzahlen nach G1 bis G5 einlesen:
   ada.text_io.put(item => "Bitte fuenf Ganzzahlen (0..100) eingeben: ");
   GANZ_EA.get(item => G1);
   GANZ_EA.get(item => G2);
   GANZ_EA.get(item => G3);
   GANZ_EA.get(item => G4);
   GANZ_EA.get(item => G5);

   -- Die groesste der fuenf Zahlen nach MAX bringen:
   MAX := G1;            -- Wir nehmen mal an, G1 ist am groessten.
   if G2 > MAX then      -- Wenn diese Annahme nicht stimmt, dann
      MAX := G2;         -- nehmen wir an, da G2 am groessten ist.
   end if;
   if G3 > MAX then      -- Wenn die letzte Annahme nicht stimmt, dann
      MAX := G3;         -- nehmen wir an, da G3 am groessten ist.
   end if;
   if G4 > MAX then      -- Wenn die letzte Annahme nicht stimmt, dann
      MAX := G4;         -- nehmen wir an, da G4 am groessten ist.
   end if;
   if G5 > MAX then      -- Wenn die letzte Annahme nicht stimmt, dann
      MAX := G5;         -- wissen wir, da G5 am groessten ist.
   end if;

   -- MAX ausgeben:
   ada.text_io.put(item => "Die groesste der drei Zahlen ist ");
   GANZ_EA.put    (item =>  MAX);
end IFANW_04;