with ada.text_io;
procedure IFANW_05 is
---------------------------------------------------------------------------
-- Liest drei Ganzzahlen von der aktuellen Eingabe und gibt die groesste
-- der drei Zahlen zur aktuellen Ausgabe aus.
-- Soll zeigen, dass man viele Probleme, die "nach if-Anweisungen zu rufen
-- scheinen" eleganter ohne if-Anweisungen loesen kann.
---------------------------------------------------------------------------
   type    GANZ    is range 0..100;
   package GANZ_EA is new ada.text_io.integer_io(num => GANZ);
   G1, G2, G3 : GANZ;    -- Werden eingelesen.
   MAX        : GANZ;    -- Fuer das Maximum von G1, G2 und G3
begin
   -- Drei Ganzzahlen nach G1, G2 und G3 einlesen:
   ada.text_io.put(item => "Bitte drei Ganzzahlen (0..100) eingeben: ");
   GANZ_EA.get(item => G1);
   GANZ_EA.get(item => G2);
   GANZ_EA.get(item => G3);

   -- Die groesste der drei Zahlen nach MAX bringen:
   MAX := GANZ'max(G1,  G2);
   MAX := GANZ'max(MAX, G3);

   -- MAX ausgeben:
   ada.text_io.put(item => "Die groesste der drei Zahlen ist ");
   GANZ_EA.put    (item =>  MAX);
end IFANW_05;