with ada.finalization;
package KON_B_01 is
---------------------------------------------------------------------------
-- Stellt einen privaten kontrollierten Typ !ZEICHEN_KETTE und eine Kon-
-- struktor-Prozedur MACHE_ZEICHEN_KETTE zur Verfuegung. Die privaten
-- Prozeduren INITIALIZE, FINALIZE und ADJUST geben genaue Meldungen zur
-- aktuellen Ausgabe aus, wenn sie aufgerufen werden.
---------------------------------------------------------------------------
   type ZEICHEN_KETTE is private;
   procedure MACHE_ZEICHEN_KETTE(S: string; ZK: in out ZEICHEN_KETTE);
private 
   type Z_STRING      is access string;
   type ZEICHEN_KETTE is new ada.finalization.controlled with record
      Z: Z_STRING;
   end record;
   type Z_ZK          is access constant ZEICHEN_KETTE;
   procedure INITIALIZE(ZK: in out ZEICHEN_KETTE);
   procedure FINALIZE  (ZK: in out ZEICHEN_KETTE);
   procedure ADJUST    (ZK: in out ZEICHEN_KETTE);
end KON_B_01;