with ada.text_io;
package body PAKET_04 is
   ------------------------------------------------------------------------
   WIE_OFT_INC : GANZ := 0; -- Wie oft wurde die Prozedur INC aufgerufen?
   WIE_OFT_DEC : GANZ := 0; -- Wie oft wurde die Prozedur DEC aufgerufen?
   package GANZ_EA is new ada.text_io.integer_io(num => GANZ);
   ------------------------------------------------------------------------
   procedure GET(ITEM: out GANZ) is
   begin
      GANZ_EA.get(item => ITEM);
   end GET;
   ------------------------------------------------------------------------
   procedure PUT(ITEM: in  GANZ) is
   begin
      GANZ_EA.put(item => ITEM, width => 0);
   end PUT;
   ------------------------------------------------------------------------
   procedure INC(ITEM: in out GANZ) is
   begin
      WIE_OFT_INC := WIE_OFT_INC + 1;
      ITEM        := ITEM + 1;
   end INC;
   ------------------------------------------------------------------------
   procedure DEC(ITEM: in out GANZ) is
   begin
      WIE_OFT_DEC := WIE_OFT_DEC + 1;
      ITEM        := ITEM - 1;
   end DEC;
   ------------------------------------------------------------------------
   procedure PUT_STATISTIK is
      DIFF: GANZ   := WIE_OFT_INC - WIE_OFT_DEC;
      T1  : string := "Anzahl INC-Aufrufe : " & GANZ'image(WIE_OFT_INC);
      T2  : string := "Anzahl DEC-Aufrufe : " & GANZ'image(WIE_OFT_DEC);
      T3  : string := "Differenz (INC-DEC): " & GANZ'image(DIFF);
   begin
      ada.text_io.put_line(item => T1);
      ada.text_io.put_line(item => T2);
      ada.text_io.put_line(item => T3);
   end PUT_STATISTIK;
   ------------------------------------------------------------------------
end PAKET_04;