package PAKET_04 is
---------------------------------------------------------------------------
-- Stellt seinen Benutzern folgende Groessen zur Verfuegung:
-- 1. GANZ  : Privater Ganzzahltyp
-- 2. GET   : Prozedur zum Einlesen eines GANZ-Wertes von der akt. Eing.
-- 3. PUT   : Prozedur zum Ausgeben eines GANZ-Wertes zur akt. Ausgabe.
-- 4. INC   : Prozedur, erhoeht    ihren GANZ-Parameter ITEM um 1.
-- 5. DEC   : Prozedur, vermidnert ihren GANZ-Parameter ITEM um 1.
-- 6. PUT_STATISTIK : Prozedur, gibt zur aktuellen Ausgabe aus, wie oft
--            die Prozeduren INC und DEC aufgerufen wurden.
-- 7. GK0   : GANZ-Konstante mit Wert 0
-- 8. GK1   : GANZ-Konstante mit Wert 1
-- Zum Rechnen mit GANZ-Werten stehen nur die Prozeduren INC und DEC und
-- sonst keine weiteren Rechenoperation zur Verfuegung. Intern wird ge-
-- zaehlt, wie oft INC und DEC aufgerufen werden (fuer PUT_STATISTIK).
---------------------------------------------------------------------------
   type GANZ is private;
   procedure GET(ITEM:    out GANZ);
   procedure PUT(ITEM: in     GANZ);
   procedure INC(ITEM: in out GANZ);
   procedure DEC(ITEM: in out GANZ);
   procedure PUT_STATISTIK;
   GK0: constant GANZ; -- GANZ-Konstante 0
   GK1: constant GANZ; -- GANZ-Konstante 1
private
   type GANZ is range -1_000_000_000..+1_000_000_000;
   GK0: constant GANZ := 0;
   GK1: constant GANZ := 1;
end PAKET_04;  