with ada.text_io;
procedure REKUP_03 is
---------------------------------------------------------------------------
-- Enthaelt die iterative Funktion FIBO_S und erlaubt dem Benutzer, diese
-- Funktion mit Parametern zu versehen und aufzurufen.
---------------------------------------------------------------------------
   type    NAT    is     range 0..1_000_000_000;
   subtype POS    is NAT range 1..100;
   package NAT_EA is new ada.text_io.integer_io(num => NAT);
   WIEVIELE_E : POS; -- Wieviele Eltern hat ein Roboter?
   WIEVIELE_T : NAT; -- Wieviele Tage soll produziert werden?
   -------------------------------------------------------------------
   function FIBO_S(ANZ_ELTERN: POS; ANZ_TAGE: NAT) return NAT is
   -- Wenn ANZ_ELTERN viele Roboter pro Tag einen neuen Roboter
   -- bauen koennen, und vor ANZ_TAGE vielen Tagen die Produk-
   -- tion begonnen wurde, wieviele Roboter gibt es dann heute
   -- (nach Beendigung der heutigen Produktion)?
   ---------------------------------------
      ANZ_ROBOTER: NAT := ANZ_ELTERN;
   begin
      for T in 1..ANZ_TAGE loop
         ANZ_ROBOTER := ANZ_ROBOTER + ANZ_ROBOTER / ANZ_ELTERN;
      end loop;
      return ANZ_ROBOTER;
   end FIBO_S;
   -------------------------------------------------------------------
begin -- REKUP_03
   ada.text_io.put(item => "Wieviele Eltern hat ein Roboter (1..100)? ");
   NAT_EA     .get(item =>  WIEVIELE_E);
   ada.text_io.put(item => "Wieviele Tage soll produziert werden?     ");
   NAT_EA     .get(item =>  WIEVIELE_T);
   for TAG in NAT range 0..WIEVIELE_T loop
      ada.text_io.put(item => "Nach ");
      NAT_EA     .put(item => TAG, width => 3);
      ada.text_io.put(item => " Tagen gibt es dann ");
      NAT_EA     .put(item => FIBO_S(WIEVIELE_E, TAG));
      ada.text_io.put(item => " Roboter.");
      ada.text_io.new_line;
   end loop;
exception
   when constraint_error =>
      ada.text_io.put(item => "mehr als " & NAT'image(NAT'last) & " Roboter!");
end REKUP_03;