with ada.text_io;
procedure REKUP_05 is
---------------------------------------------------------------------------
-- Enthaelt die rekursive Prozedur DREIECKE und erlaubt dem Benutzer,
-- diese Prozedur mit Parametern zu versehen und aufzurufen.
---------------------------------------------------------------------------
   type    NAT    is range 0..80;
   package NAT_EA is new ada.text_io.integer_io(num => NAT);
   WIEVIEL_ZEILEN: NAT;
   WIEVIEL_AKT_L : NAT;
   WIEVIEL_MAX_L : NAT;
   ---------------------------------------------------------
   procedure DREIECKE(ZEILEN, AKT_L, MAX_L: NAT) is
      ANZ_B    : constant NAT := (MAX_L-AKT_L) / 2; -- Anzahl Blanks
      BLANKS   : constant string(1..integer(ANZ_B)) := (others => ' ');
      STERNCHEN: constant string(1..integer(AKT_L)) := (others => '*');
   begin -- DREIECKE
      if ZEILEN = 0 then
         return;                 -- kein rekursiver Aufruf;
      else
         ada.text_io.put(item => BLANKS);
         ada.text_io.put(item => STERNCHEN);
         ada.text_io.new_line;
         if AKT_L > 2 then
            DREIECKE(ZEILEN-1, AKT_L-2, MAX_L);
         else
            DREIECKE(ZEILEN-1, MAX_L,   MAX_L);
         end if;
      end if;
   end DREIECKE;
   ---------------------------------------------------------
begin -- REKUP_05
   ada.text_io.put(item => "Wieviele Zeilen insgesamt      (0..80)? ");
   NAT_EA     .get(item =>  WIEVIEL_ZEILEN);
   ada.text_io.put(item => "Anz. Sternchen in der 1. Zeile (0..80)? ");
   NAT_EA     .get(item =>  WIEVIEL_AKT_L);
   ada.text_io.put(item => "Maximale Laenge einer Zeile    (0..80)? ");
   NAT_EA     .get(item =>  WIEVIEL_MAX_L);
   DREIECKE(WIEVIEL_ZEILEN, WIEVIEL_AKT_L, WIEVIEL_MAX_L);
end REKUP_05;