procedure SCHAB_05(R: in out REIH) is
   ALLE_OK : boolean := false; -- Bleibt true, wenn alle sortiert sind.
   TEMP    : KOMP;             -- Zum vertauschen zweier Komponenten.
   I2      : INDX;             -- Fuer den Nachfolger von I1 (s.u.)
begin
   while not ALLE_OK loop
      ALLE_OK := true; -- Optimistische Annahme.
      for I1 in INDX range R'first..INDX'pred(R'last) loop
         I2 := INDX'succ(I1);  -- "+1" wuerde nicht immer gehen!
         if R(I1) > R(I2) then -- R(I1) und R(I2) vertauschen
            TEMP    := R(I1);
            R(I1)   := R(I2);
            R(I2)   := TEMP;
            ALLE_OK := false;   -- Die Optimistische Annahme war falsch!
         end if;
      end loop;  -- Ende der   for-Schleife
   end loop;     -- Ende der while-Schleife
end SCHAB_05;