package TAG_A_01 is
   type GLEIT is digits 6 range -10_000.0..+10_000.0;
   ------------------------------------------------------------------------
   type PUNKT is tagged record
      X, Y: GLEIT;
   end record;
   function ABSTAND_U(P: PUNKT) return GLEIT;
   -- Liefert den Abstand zwischen P und dem Ursprung (0.0, 0.0)
   procedure SPIEGEL_U(P: in out PUNKT);
   -- Spiegelt P am Ursprung
   procedure PUT(ITEM: PUNKT);
   -- Gibt ITEM in Textform zur aktuellen Ausgabe aus
   ------------------------------------------------------------------------
   type QUADRAT is new PUNKT with record
      DELTA_X: GLEIT;
   end record;
   function FLAECHE(Q:QUADRAT) return GLEIT;
   -- Liefert die Flaeche von Q
   function UMFANG(Q: QUADRAT) return GLEIT;
   -- Liefert den Umfang von Q
   procedure PUT(ITEM: QUADRAT);
   -- Gibt ITEM in Textform zur aktuellen Ausgabe aus
   ------------------------------------------------------------------------
   type RECHTECK is new QUADRAT with record
      DELTA_Y: GLEIT;
   end record;
   function FLAECHE(R: RECHTECK) return GLEIT;
   -- Liefert die Flaeche von R
   function UMFANG(R: RECHTECK) return GLEIT;
   -- Liefert den Umfang von R
   function FORMAT(R: RECHTECK) return GLEIT;
   -- Liefert den Quotienten X-Seite durch Y-Seite
   procedure PUT(ITEM: RECHTECK);
   -- Gibt ITEM in Textform zur aktuellen Ausgabe aus
   -----------------------------------------------------------------------
   type KREIS is new PUNKT with record
      RADIUS: GLEIT;
   end record;
   function FLAECHE(K: KREIS) return GLEIT;
   -- Liefert die Flaeche von K
   function UMFANG(K: KREIS) return GLEIT;
   -- Liefert den Umfang von K
   procedure PUT(ITEM: KREIS);
   -- Gibt ITEM in Textform zur aktuellen Ausgabe aus
   ------------------------------------------------------------------------
   procedure SCHIEBE(CP: in out PUNKT'class; DX, DY : GLEIT);
   -- Verschiebt CP um (DX, DY) und gibt CP aus (mit 
   -- der zu CP passenden PUT-Prozedur).
end TAG_A_01;