with ada.text_io;
package TAG_C_01 is
   type GLEIT is digits 6 range -10_000.0..+10_000.0;
   type PUNKT is tagged private;
   procedure MACHE_PUNKT(MX, MY: GLEIT; P: out PUNKT);
   -- Macht aus P einen Punkt mit Koordinaten MX und MY
   function  ABSTAND_U(P: PUNKT) return GLEIT;
   -- Liefert den Abstand zwischen P und dem Ursprung (0.0, 0.0)
   procedure PUT(ITEM: PUNKT);
   -- Gibt ITEM in Textform zur aktuellen Ausgabe aus
   procedure SCHIEBE(CP: in out PUNKT'class; DX, DY: GLEIT);
   package GLEIT_EA is new ada.text_io.float_io(num => GLEIT);
private
   type PUNKT is tagged record
      X, Y: GLEIT;
   end record;
end TAG_C_01;