with ada.text_io;
package body TAG_C_02.KIND1 is
   subtype PUNKT is TAG_C_01.PUNKT;
   package GLEIT_EA renames TAG_C_01.GLEIT_EA;
   
   procedure MACHE_RECHTECK(MX, MY, SEITE_X, SEITE_Y: GLEIT; R: out RECHTECK) is
   begin
      MACHE_QUADRAT(MX=>MX, MY=>MY, SEITE=>SEITE_X, Q=>QUADRAT(R));
      R.DELTA_Y := SEITE_Y / 2.0;
   end MACHE_RECHTECK;
   
   function FLAECHE(R: RECHTECK) return GLEIT is
   begin
      return 4.0 * R.DELTA_X * R.DELTA_Y;
   end FLAECHE;
   
   procedure PUT(ITEM: RECHTECK) is
   begin
      ada.text_io.put(item => "Rechteck mit Mittelpunkt bei ");
      TAG_C_01.PUT(ITEM => PUNKT(ITEM));
      ada.text_io.put(item => "X-Seite:  ");
      GLEIT_EA.put(item => 2.0 * ITEM.DELTA_X);
      ada.text_io.put(item => " Y-Seite:  ");
      GLEIT_EA.put(item => 2.0 * ITEM.DELTA_Y);
      ada.text_io.new_line;
      ada.text_io.put(item => "Flaeche:  ");
      GLEIT_EA.put(item => TAG_C_02.KIND1.FLAECHE(R=>ITEM));
      ada.text_io.new_line(spacing => 2);
   end PUT;
end TAG_C_02.KIND1;