package TAG_D_01 is
---------------------------------------------------------------------------
-- Objekte des Typs SPEICHERBAR'class koennen mit der Prozedur TUE_REIN in
-- einen Speicher hingetan und mit HOL_RAUS wieder herausgeholt werden
-- Der Speicher ist im Rumpf des vorliegenden Paketes TAG_D_01 verborgen.
-- Jeder Wert vom Typ INDEX bezeichnet einen bestimmten Platz in diesem
-- Speicher.
-- Jeder vom abstrakten Typ SPEICHERBAR abgeleitete konkrete Typ muss die
-- abstrakte Prozedur PUT "konkret ueberladen". Die klassenweite Prozedur
-- PUT_CW ("CW" wie "class wide") ruft jeweils die passende konkrete
-- Prozedur PUT auf.
---------------------------------------------------------------------------
   type SPEICHERBAR is abstract tagged null record;
   procedure PUT   (ITEM: in SPEICHERBAR) is abstract;
   procedure PUT_CW(ITEM: in SPEICHERBAR'class);
   type Z_SPEICHERBAR is access all SPEICHERBAR'class;
   type INDEX         is range 1..5; -- 5 Speicherplaetze
   procedure TUE_REIN(WOHIN: in INDEX; WAS: in  Z_SPEICHERBAR);
   procedure HOL_RAUS(WOHER: in INDEX; WAS: out Z_SPEICHERBAR);
end TAG_D_01;
