with SCHAB_05, ada.text_io;
procedure TESTS_05 is
-- Kleines Testprogramm zum Testen der Prozedurschablone SCHAB_05.
   type TABELLE is array(character range <>) of natural;
   -- Erzeuge 2 Sortierprozeduren als Instanzen von SCHAB_05:
   procedure SORT1 is new SCHAB_05(INDX => character, KOMP => natural,
                                   REIH => TABELLE);
   procedure SORT2 is new SCHAB_05(INDX => positive,  KOMP => character,
                                   REIH => string);
   TAB1: TABELLE('A'..'E') := (17, 35, 9, 12, 3); -- Wird sortiert.
   STR1: string (123..130) := "BARBARA!";         -- Wird sortiert.
begin
   SORT1(R => TAB1); -- TAB1 sortieren
   SORT2(R => STR1); -- STR1 sortieren
   -- Die Komponenten der (hoffentlich sortierten) Reihung TAB1 ausgeben:
   for I in character range TAB1'range loop
      ada.text_io.put(item => natural'image(TAB1(I)));
   end loop;
   ada.text_io.new_line;
   -- Alle Komponenten von STR1 koennen mit einem Befehl ausgegebe werden:
   ada.text_io.put_line(item => STR1);
end TESTS_05;