with ada.text_io;
procedure TYPEN_01 is
---------------------------------------------------------------------------
-- Demonstriert, dass die Grenzen eines Untertyps z.B. einlesen kann
-- ("Untertypen koennen dynamisch sein").
---------------------------------------------------------------------------
   VON, BIS, CHAR : character;
 begin
    ada.text_io.put(item => "Drei Zeichen VON, BIS und CHAR? ");
    ada.text_io.get(item => VON);
    ada.text_io.get(item => BIS);
    ada.text_io.get(item => CHAR);
    BLOCK1: declare
       subtype DYNAM is character range VON..BIS;
       DYNAM1: DYNAM;
    begin
       ada.text_io.put(item => "Liegt CHAR im Bereich VON..BIS? ");
       if CHAR in DYNAM then
          ada.text_io.put_line(item => "Ja!");
          DYNAM1 := CHAR; -- Loest bestimmt keine Ausnahme aus!
       else
          ada.text_io.put_line(item => "Nein!");
       end if;
    end BLOCK1;
 end TYPEN_01;