with ada.text_io;
use  ada.text_io;
procedure TYPEN_03 is
---------------------------------------------------------------------------
-- Die vordefinierten Operationen wie "+", "-", "*" etc. gehoehren
-- zu einem Typ, die vom Programmierer vereinbarten Unterprogramme
-- gehoeren dagegen normalerweise zu einem Untertyp.
---------------------------------------------------------------------------
   type    GANZ      is range -5_000..+10_000;
   package GANZ_EA_B is new ada.text_io.integer_io(num => GANZ'base);
   function PLUS3_B(G: GANZ'base) return GANZ'base is
   begin
      return G + 3;
   end PLUS3_B;
   G1 : GANZ'base := GANZ'last+1;
begin -- TYPEN_03
   ------------------------------------------------------------------------
   BLOCK1: begin
      GANZ_EA_B.put(item => G1 + 1);
      ada.text_io.new_line;
      put_line("GANZ_EA_B.put(10_002) hat keine Ausnahme ausgeloest!");
   exception
      when constraint_error =>
         put_line("GANZ_EA_B.put(10_001) hat constraint_error ausgeloest!");
   end BLOCK1;
   ------------------------------------------------------------------------
   BLOCK2: begin
      G1 := PLUS3_B(9_998);
      put_line("PLUS3_B(9_998)        hat keine Ausnahme ausgeloest!");
   exception
      when constraint_error =>
         put_line("PLUS3_B(9_998)        hat constraint_error ausgeloest!");
   end BLOCK2;
   ------------------------------------------------------------------------
   put_line("TYPEN_03: Das war's erstmal!");
end TYPEN_03;