with ada.text_io;
procedure UPROS_03 is
---------------------------------------------------------------------------
-- Eine Prozedur namens GET_ZIFFER mit zwei out-Parametern wird vereinbart
-- und aufgerufen.
---------------------------------------------------------------------------
   ZIFFER_GELESEN: boolean;
   Z1, Z2:         character;
   ------------------------------------------------------------------------
   procedure GET_ZIFFER(ITEM: out character; ALLES_OK: out boolean) is
   -- Liest ein Zeichen von der aktuellen Eingabe nach ITEM und bringt
   -- true nach ALLE_OK, wenn es sich um eine Ziffer handelt, sonst false.
      TEXT: constant string := "Bitte geben Sie eine Ziffer ein: ";
   begin -- GET_ZIFFER
      ada.text_io.put(item => TEXT);
      ada.text_io.get(item => ITEM);
      if ITEM in '0'..'9' then
         ALLES_OK := true;
      else
         ALLES_OK := false;
      end if;
   end GET_ZIFFER;
   ------------------------------------------------------------------------
begin -- UPROS_03
   -- 1. Versuch, eine Ziffer einzulesen (nach Z1):
   GET_ZIFFER(ALLES_OK => ZIFFER_GELESEN, ITEM => Z1);
   if not ZIFFER_GELESEN then
      ada.text_io.put_line(item => Z1 & " ist doch keine Ziffer!");
   else
      ada.text_io.put_line(item => Z1 & " ist eine sehr gute Ziffer!");
   end if;
   ------------------------------------------------------------------------
   -- 2. Versuch, eine Ziffer einzulesen (nach Z2):
   GET_ZIFFER(ITEM => Z2, ALLES_OK => ZIFFER_GELESEN);
   if ZIFFER_GELESEN then
      ada.text_io.put_line(item => Z2 & " is a very nice digit!");
   else
      ada.text_io.put_line(item => Z2 & " is not a digit!");
   end if;
   ada.text_io.put_line(item => "UPROS_03: Das war's erstmal!");
end UPROS_03;