with ada.text_io;
procedure UPROS_05 is
---------------------------------------------------------------------------
-- Eine Prozedur namens ADD_MULT mit zwei in- und zwei out-Parametern wird
-- vereinbart und aufgerufen.
---------------------------------------------------------------------------
   type GANZ is range -2e9..+2e9;
   G1, G2: GANZ;
   ------------------------------------------------------------------------
   procedure ADD_MULT(ARG1, ARG2: in GANZ; ERG1, ERG2: out GANZ) is
   -- Addiert und multipliziert ARG1 und ARG2 und bringt die beiden
   -- Ergebnisse nach ERG1 bzw. ERG2.
   begin
      ERG1 := ARG1 + ARG2;
      ERG2 := ARG1 * ARG2;
   end ADD_MULT;
   ------------------------------------------------------------------------
begin
   ADD_MULT(ARG1 => 3, ARG2 => 5, ERG1 => G1, ERG2 => G2);
   ada.text_io.put_line(item => "3 plus  5 ist gleich " & GANZ'image(G1));
   ada.text_io.put_line(item => "3 mal   5 ist gleich " & GANZ'image(G2));
   ADD_MULT(ARG1 => G1, ARG2 => G2, ERG1 => G1, ERG2 => G2);
   ada.text_io.put_line(item => "8 plus 15 ist gleich " & GANZ'image(G1));
   ada.text_io.put_line(item => "8 mal  15 ist gleich " & GANZ'image(G2));
end UPROS_05;