with ada.text_io;
procedure UPROS_23 is
---------------------------------------------------------------------------
-- Die lokale Funktion MAX5 hat 5 Parameter, alle mit Vorbesetzung. Sie
-- wird mit 0, 1, 2, 3, 4 und 5 Parametern aufgerufen.
---------------------------------------------------------------------------
   type     GANZ    is range -999..+999;
   package  GANZ_EA is new ada.text_io.integer_io(num => GANZ);
   ------------------------------------------------------------------------
   function MAX5(P1, P2, P3, P4, P5: GANZ := GANZ'first) return GANZ is
   begin
      return GANZ'max(P1, GANZ'max(P2, GANZ'max(P3, GANZ'max(P4, P5))));
   end MAX5;
   ------------------------------------------------------------------------
   M0: GANZ := MAX5;
   M1: GANZ := MAX5(-17);
   M2: GANZ := MAX5(+31, +123);
   M3: GANZ := MAX5(+76, -123, +31);
   M4: GANZ := MAX5(-54, +321, +87, +333);
   M5: GANZ := MAX5(-54, -321, -87, -333, -999);
begin
   ada.text_io.put(item => "MAX5                             ist gleich ");
   GANZ_EA    .put(item => M0);
   ada.text_io.new_line;
   ada.text_io.put(item => "MAX5(-17)                        ist gleich ");
   GANZ_EA    .put(item => M1);
   ada.text_io.new_line;
   ada.text_io.put(item => "MAX5(+31, +123)                  ist gleich ");
   GANZ_EA    .put(item => M2);
   ada.text_io.new_line;
   ada.text_io.put(item => "MAX5(+76, -123, +31)             ist gleich ");
   GANZ_EA    .put(item => M3);
   ada.text_io.new_line;
   ada.text_io.put(item => "MAX5(-54, +321, +87, +333)       ist gleich ");
   GANZ_EA    .put(item => M4);
   ada.text_io.new_line;
   ada.text_io.put(item => "MAX5(-54, -321, -87, -333, -999) ist gleich ");
   GANZ_EA    .put(item => M5);
   ada.text_io.new_line;
end UPROS_23;