with ada.text_io;
procedure UPROS_27 is
---------------------------------------------------------------------------
-- Zwei Konkatenationsoperationen namens "&" werden vereinbart und aufge-
-- rufen. Sie erleichtern es, GANZ-Zahlen und Texte gemischt auszugeben.
---------------------------------------------------------------------------
   type  GANZ is range -5_000..+10_000;
   DM  : GANZ := 17;
   PFG : GANZ := 35;
   ------------------------------------------------------------------------
   function "&"(L: string; R: GANZ) return string is
   -- Wandelt R in einen String RS um und liefert L & RS:
      RS : constant string := GANZ'image(R);
   begin
      return L & RS;
   end "&";
   ------------------------------------------------------------------------
   function "&"(L: GANZ; R: string) return string is
   -- Wandelt L in einen String LS um und liefert R & LS:
      LS : constant string := GANZ'image(L);
   begin
      return LS & R;
   end "&";
   ------------------------------------------------------------------------
begin
   ada.text_io.put_line(item => "DM" & DM);
   ada.text_io.put_line(item => PFG   & " Pfennige");
   ada.text_io.put_line(item => DM & " Mark und" & PFG & " Pfennige");
end UPROS_27;