with ada.text_io;
procedure ZEIGR_03 is
---------------------------------------------------------------------------
-- Demonstriert 1. "normale Zeiger", 2. Zeiger, die auf vereinbarte
-- Variablen (aliased variables) zeigen und 3. Zeiger auf Konstanten.
---------------------------------------------------------------------------
   type ZEIGER_AUF_STRING_1 is access string;
   TAB1 : array(1..3) of ZEIGER_AUF_STRING_1 :=
      (1 => new string'("Hallo!"),
       2 => new string'("Wie geht es?"),
       3 => new string'("Na, es geht so!"));
   ------------------------------------------------------------------------
   type ZEIGER_AUF_STRING_2 is access all string;
   T1 : aliased string := "Hallo!";
   T2 : aliased string := "Wie geht es?";
   T3 : aliased string := "Na, es geht so!";
   TAB2 : array(1..3) of ZEIGER_AUF_STRING_2 :=
      (1 => T1'access,
       2 => T2'access,
       3 => T3'access);
   ------------------------------------------------------------------------
   type ZEIGER_AUF_STRING_3 is access constant string;
   TAB3 : array(1..3) of ZEIGER_AUF_STRING_3 :=
      (1 => T1'access,
       2 => T2'access,
       3 => T3'access);
   ------------------------------------------------------------------------
begin
   for I in TAB1'range loop
      ada.text_io.put_line(TAB1(I).all);
   end loop;
   ada.text_io.new_line;
   ------------------------------------------------------------------------
   for I in TAB2'range loop
      ada.text_io.put_line(TAB2(I).all);
   end loop;
   ada.text_io.new_line;
   ------------------------------------------------------------------------
   TAB2(1).all := "Hello!";
   TAB2(2).all := "How are you?";
   TAB2(3).all := "Ok, thank you !";
   ------------------------------------------------------------------------
   for I in TAB3'range loop
      ada.text_io.put_line(TAB3(I).all);
   end loop;
   ada.text_io.new_line;
end ZEIGR_03;
