with ada.text_io;
procedure AUFZT_01 is
---------------------------------------------------------------------------
-- Ein gewoehnlicher Aufzaehlungstyp und mehrere Untertypen werden verein-
-- bart. Ein Wert eines Untertyps wird von der aktuellen Eingabe einge-
-- lesen und zusammen mit seinem Vorgaenger und seinem Nachfolger zur
-- aktuellen Ausgabe ausgegeben.
---------------------------------------------------------------------------
   type    WOCHEN_TAG  is (MONTAG, DIENSTAG, MITTWOCH, DONNERSTAG,
                           FREITAG, SAMSTAG, SONNTAG);
   subtype WERK_TAG    is WOCHEN_TAG range MONTAG..FREITAG;
   subtype FEIER_TAG   is WOCHEN_TAG range SAMSTAG..SONNTAG;
   package WERK_TAG_EA is new ada.text_io.enumeration_io
                           (enum => WERK_TAG);
   EIN_TAG : WOCHEN_TAG;
begin
   ada.text_io.put(item => "Einen Werktag (MONTAG..FREITAG)? ");
   WERK_TAG_EA.get(item =>  EIN_TAG);
   ada.text_io.put(item => "Sie gaben folgenden Tag ein :    ");
   WERK_TAG_EA.put(item =>  EIN_TAG);
   ada.text_io.new_line;
   ada.text_io.put(item => "Der nachfolgende  Tag ist ein    ");
   WERK_TAG_EA.put(item =>  WERK_TAG'succ(EIN_TAG));
   ada.text_io.new_line;
   ada.text_io.put(item => "Der vorhergehende Tag ist ein    ");
   WERK_TAG_EA.put(item =>  WERK_TAG'pred(EIN_TAG));
   ada.text_io.new_line;
end AUFZT_01;