with ada.text_io;
procedure AUFZT_03 is
---------------------------------------------------------------------------
-- Ein Wert eines Zeichenuntertyps STELLUNG wird von der aktuellen Eingabe
-- eingelesen und zusammen mit seinem Vorgaenger und Nachfolger zur
-- aktuellen Ausgabe ausgegeben.
---------------------------------------------------------------------------
   type    STELLUNG    is (ANFANG, 'A', 'B', MITTE, 'C', 'D');
   package STELLUNG_EA is new ada.text_io.enumeration_io(enum => STELLUNG);
   S1 :    STELLUNG;   -- In diese Variable wird ein Wert eingelesen.
begin
   ada.text_io.put(item => "Eine Stellung (ANFANG, 'A', 'B', MITTE, " &
                           "'C' oder 'D')? ");
   STELLUNG_EA.get(item =>  S1);
   ada.text_io.put(item => "Sie gaben die folgende Stellung ein : ");
   STELLUNG_EA.put(item =>  S1);
   ada.text_io.new_line;
   ada.text_io.put(item => "Die Nachfolgerstellung davon ist    : ");
   STELLUNG_EA.put(item =>  STELLUNG'succ(S1));
   ada.text_io.new_line;
   ada.text_io.put(item => "Die Vorgaengerstellung davon ist    : ");
   STELLUNG_EA.put(item =>  STELLUNG'pred(S1));
   ada.text_io.new_line;
end AUFZT_03;