with ada.text_io;
procedure AUSNA_04 is
---------------------------------------------------------------------------
-- Versucht solange, von der aktuellen Eingabe eine Ganzzahl einzulesen,
-- bis der Benutzer Daten eingibt, die keinen data_error ausloesen.
---------------------------------------------------------------------------
   type    OTTO is range -20_000..+30_000;
   package OTTO_EA is new ada.text_io.integer_io(num => OTTO);
   G1 :    OTTO; -- Wird eingelesen.
   EINGABE_IST_NOCH_NICHT_OK : boolean := true;
begin
   while EINGABE_IST_NOCH_NICHT_OK loop
      ada.text_io.put(item => "Eine Ganzzahl (-20_000..+30_000)? ");
      EINLESEN: begin
         OTTO_EA.get(item => G1);
         EINGABE_IST_NOCH_NICHT_OK := false;
      exception
         when ada.text_io.data_error =>
            ada.text_io.skip_line;
            ada.text_io.put_line(item => "Ihre Eingabe hat die Ausnahme " &
               "data_error ausgeloest. Versuchen Sie es nochmal!");
      end EINLESEN;
   end loop;
   ada.text_io.put(item => "Sie haben folgende Zahl eingegeben: ");
   OTTO_EA.put(item => G1);
   ada.text_io.new_line;
end AUSNA_04;