with SCHAB_06, ada.text_io;
procedure BEN1S_06 is
-- Liest eine beliebig lange Zeichenkette (maximal 100 Zeichen) von der
-- aktuellen Eingabe ein, legt die Zeichen der Reihe nach auf zwei ver-
-- schiedene Stapel und gibt sie dann zur aktuellen Ausgabe aus.
   AUSGABE: string(1..100);
   EINGABE: string(1..100);
   LBI    : natural;        -- Letzter belegter Index der EINGABE
   package STAP1 is new SCHAB_06;
   package STAP2 is new SCHAB_06;
begin
   ada.text_io.put_line(item => "Eine Zeichenkette (max. 100 Zeichen? ");
   ada.text_io.get_line(item => EINGABE, last => LBI);
   for I in positive range EINGABE'first..LBI loop
      STAP1.PUSH(ZEICHEN => EINGABE(I));
   end loop;
   for I in positive range 1..STAP1.ANZAHL loop
      STAP2.PUSH(ZEICHEN => STAP1.TOP);
      STAP1.POP;
   end loop;
   for I in positive range 1..STAP2.ANZAHL loop
      AUSGABE(I) := STAP2.TOP;
      STAP2.POP;
   end loop;
   ada.text_io.put_line(item => AUSGABE(AUSGABE'first..LBI));
   ada.text_io.put_line(item => "... und tschuess!");
end BEN1S_06;