with ada.text_io;
procedure BRUCH_01 is
---------------------------------------------------------------------------
-- Zeigt den Umgang mit einem dezimalen Festpunkttyp (namens DFIX1).
---------------------------------------------------------------------------
   type     DFIX1    is delta 0.01 digits 8;
   package  DFIX1_EA is new ada.text_io.decimal_io(num => DFIX1);
   A1, B1 : DFIX1;
   ------------------------------------------------------------------------
   procedure PUT(S: string; D: DFIX1) is
   -- Gibt den String S und die Dezimalzahl D zur aktuellen Ausgabe aus
   begin
      ada.text_io.put(item => S);
      DFIX1_EA   .put(item => D);
      ada.text_io.new_line;
   end PUT;
   ------------------------------------------------------------------------
begin
   loop
      ada.text_io.put(item => "BRUCH_01: Zwei Bruchzahlen A1 und B1? ");
      DFIX1_EA.get(item => A1);
      DFIX1_EA.get(item => B1);
      PUT(S => "A1    ist gleich ", D => A1);
      PUT(S => "B1    ist gleich ", D => B1);
      PUT(S => "A1+B1 ist gleich ", D => A1+B1);
      PUT(S => "A1-B1 ist gleich ", D => A1-B1);
      PUT(S => "A1*B1 ist gleich ", D => A1*B1);
      PUT(S => "A1/B1 ist gleich ", D => A1/B1);
   end loop;
end BRUCH_01;