with ada.text_io;
procedure BRUCH_03 is
---------------------------------------------------------------------------
-- Formatkontrolle beim Ausgeben von dezimalen Festpunktzahlen. Die Zahl
-- 1234.5678 wird mehrfach ausgegeben. Der Benutzer kann Werte fr die
-- Parameter namens fore, aft und exp der Prozedur DFIX1_EA.put angeben
-- und sich die Wirkung dieser Wert auf das Layout der Zahl 1234.5678
-- ansehen.
---------------------------------------------------------------------------
   type    DFIX1    is delta 0.0001 digits 8;
   package DFIX1_EA is new ada.text_io.decimal_io(num => DFIX1);
   package   INT_EA is new ada.text_io.integer_io(num => integer);
   VOR, NACH, EXPO : integer range -1..10; -- -1 zum Beenden
begin
   ada.text_io.put_line(item => "BRUCH_03: Zum Beenden bitte -1 eingeben!");
   loop
      ada.text_io.put(item => "3 Ganzzahlen (0..10), fore, aft und exp: ");
      INT_EA     .get(item => VOR);
      exit when VOR = -1;
      INT_EA     .get(item => NACH);
      INT_EA     .get(item => EXPO);
      DFIX1_EA   .put(item => 1234.5678, fore=>VOR, aft=>NACH, exp=>EXPO);
      ada.text_io.new_line;
   end loop;
   ada.text_io.put_line(item => "BRUCH_03: Das war's erstmal!");
end BRUCH_03;