with ada.text_io;
procedure BRUCH_04 is
---------------------------------------------------------------------------
-- Zeigt den Umgang mit einem gewoehnlichen Festpunkttyp (namens GFIX1).
---------------------------------------------------------------------------
   type     GFIX1    is delta 0.1 range -10_000.0..+10_000.0;
   package  GFIX1_EA is new ada.text_io.fixed_io(num => GFIX1);
   A1, B1 : GFIX1;
   ------------------------------------------------------------------------
   procedure PUT(S: string; F: GFIX1) is
   -- Gibt den String S und die Festpunktzahl F zur aktuellen Ausgabe aus
   begin
      ada.text_io.put(item => S);
      GFIX1_EA   .put(item => F);
      ada.text_io.new_line;
   end PUT;
   ------------------------------------------------------------------------
begin
   loop
      ada.text_io.put(item => "BRUCH_04: Zwei Bruchzahlen A1 und B1? ");
      GFIX1_EA.get(item => A1);
      GFIX1_EA.get(item => B1);
      PUT(S => "A1    ist gleich ", F => A1);
      PUT(S => "B1    ist gleich ", F => B1);
      PUT(S => "A1+B1 ist gleich ", F => A1+B1);
      PUT(S => "A1-B1 ist gleich ", F => A1-B1);
      PUT(S => "A1*B1 ist gleich ", F => A1*B1);
      PUT(S => "A1/B1 ist gleich ", F => A1/B1);
   end loop;
end BRUCH_04;