with ada.text_io;
procedure CASEA_01 is
---------------------------------------------------------------------------
-- Zeigt zwei case-Anweisungen im Rahmen eines kleinen aber vollstaendigen
-- Programms.
---------------------------------------------------------------------------
   type    FARBE    is (SCHWARZ, ROT, GRUEN, BLAU, GELB, WEISS);
   type    OTTO     is range -20_000 .. +30_000;
   package FARBE_EA is new ada.text_io.enumeration_io(enum => FARBE);
   package OTTO_EA  is new ada.text_io.integer_io   ( num => OTTO);
   FARBE1     : FARBE;
   G1, G2, G3 : OTTO := 0;
begin
   ada.text_io.put(item => "Eine Farbe (SCHWARZ, ROT, GRUEN, BLAU, " &
                           "GELB oder WEISS)? ");
   FARBE_EA.get(item => FARBE1);
   --------------------------------------------------------------
   case FARBE1 is
      when SCHWARZ =>
         ada.text_io.put(item => "Zu dunkel!");
         FARBE1 := GELB;
      when ROT | GRUEN =>
         ada.text_io.put(item => "Nicht modisch genug!");
      when BLAU..WEISS =>
         ada.text_io.put(item => "Gute Farbe!");
         G1 := G2 + G3;
   end case;
   --------------------------------------------------------------
   ada.text_io.new_line;
   ada.text_io.put(item => "Eine Ganzzahl (-20_000..+30_000)? ");
   OTTO_EA.get    (item => G1);
   --------------------------------------------------------------
   case G1 is
      when OTTO'first..-10_000 | -5_000 | -2_500 =>
         ada.text_io.put(item => "Ziemlich negativ!");
      when -100..-20 | +20..+100 =>
         ada.text_io.put(item => "Kleine Fische!");
      when 2 | 3 | 5 | 7 | 13 | 17 =>
         ada.text_io.put(item => "Kleine Primzahlen!");
      when others =>
         ada.text_io.put(item => "Wieso gerade diese Zahl?");
   end case;
   --------------------------------------------------------------
   ada.text_io.new_line;
end CASEA_01;