with ada.text_io;
procedure DARST_02 is
---------------------------------------------------------------------------
-- Die Werte der 'size-Attribute von verschiedenen Gleitpunktypen,
-- dezimalen Festpunkttypen und dezimalen Festpunktvariablen werden zur 
-- aktuellen Ausgabe ausgegeben.
---------------------------------------------------------------------------
   type GLEIT03 is digits  3;
   type GLEIT06 is digits  6;
   type GLEIT09 is digits  9;
   type GLEIT12 is digits 12;
   type GLEIT15 is digits 15;
   type GLEIT18 is digits 18;
   type FEST_06 is delta 0.01 digits  6;
   type FEST_09 is delta 0.01 digits  9;
   type FEST_12 is delta 0.01 digits 12;
   type FEST_15 is delta 0.01 digits 15;
   type FEST_18 is delta 0.01 digits 18;
   FEVA_06 : FEST_06 := 0.0;
   FEVA_09 : FEST_09 := 0.0;
   FEVA_12 : FEST_12 := 0.0;
   FEVA_15 : FEST_15 := 0.0;
   FEVA_18 : FEST_18 := 0.0;
   ------------------------------------------------------------------------
   procedure PUT(S: string; N: natural) is
      package NATURAL_EA is new ada.text_io.integer_io(num => natural);
   begin
      ada.text_io.put(item => S);
      NATURAL_EA .put(item => N, width => 4);
      ada.text_io.new_line;
   end PUT;
   ------------------------------------------------------------------------
begin
   PUT(S => "GLEIT03'size: ", N => GLEIT03'size);
   PUT(S => "GLEIT06'size: ", N => GLEIT06'size);
   PUT(S => "GLEIT09'size: ", N => GLEIT09'size);
   PUT(S => "GLEIT12'size: ", N => GLEIT12'size);
   PUT(S => "GLEIT15'size: ", N => GLEIT15'size);
   PUT(S => "GLEIT18'size: ", N => GLEIT18'size);
   PUT(S => "FEST_06'size: ", N => FEST_06'size);
   PUT(S => "FEST_09'size: ", N => FEST_09'size);
   PUT(S => "FEST_12'size: ", N => FEST_12'size);
   PUT(S => "FEST_15'size: ", N => FEST_15'size);
   PUT(S => "FEST_18'size: ", N => FEST_18'size);
   PUT(S => "FEVA_06'size: ", N => FEVA_06'size);
   PUT(S => "FEVA_09'size: ", N => FEVA_09'size);
   PUT(S => "FEVA_12'size: ", N => FEVA_12'size);
   PUT(S => "FEVA_15'size: ", N => FEVA_15'size);
   PUT(S => "FEVA_18'size: ", N => FEVA_18'size);
   ada.text_io.put_line(item => "DARST_02: Das war's erstmal!");
end DARST_02;
