with ada.text_io, ada.sequential_io;
use  ada.text_io;
procedure EASEQ_01 is
---------------------------------------------------------------------------
-- Erzeugt eine sequentielle Datei namens EASEQ_01.AUS und gibt ein paar
-- Verbunde zu dieser Datei und zur aktuellen Ausgabe aus.
-- Die Datei EASEQ_01.AUS kann z.B. mit dem Programm EASEQ_02 wieder
-- eingelesen und verarbeitet werden.
---------------------------------------------------------------------------
   type GESCHLECHT is (MAENNLICH, WEIBLICH, UNBESTIMMT);
   type PERSON     is record
      NAME : string(1..10)  := "Jedermann ";
      ART  : GESCHLECHT     := UNBESTIMMT;
   end record;
   ------------------------------------------------------------------------
   package SEQU_EA is new ada.sequential_io(element_type => PERSON);
   ------------------------------------------------------------------------
   P1 :          PERSON := ("Karl      ", MAENNLICH);
   P2 : constant PERSON := ("Anna      ", WEIBLICH);
   P3 : constant PERSON := ("Ottokar   ", MAENNLICH);
   P4 :          PERSON;
   ------------------------------------------------------------------------
   AUSWEIS1 : SEQU_EA.file_type; -- nicht ada.text_io.file_type!!
   ------------------------------------------------------------------------
   procedure PUT(ITEM : in PERSON) is
   -- Gibt ITEM 2 mal aus: zur akutellen Ausgabe und in die Datei mit
   -- der Kennung AUSWEIS1
      G1 : string := GESCHLECHT'image(ITEM.ART);
   begin
      put_line(item => ITEM.NAME & " ist " & G1);    -- zur akt. Ausg.
      SEQU_EA.write(file => AUSWEIS1, item => ITEM); -- zur Datei AUSWEIS1
   end PUT;
   ------------------------------------------------------------------------
begin -- EASEQ_01
   put_line(item => "In die Datei EASEQ_01 wird geschrieben:");
   SEQU_EA.create  (file =>  AUSWEIS1,
                    mode =>  SEQU_EA.out_file,
                    name => "EASEQ_01.AUS");
   ------------------------------------------------------------------------
   PUT(ITEM => P1);
   PUT(ITEM => P2);
   PUT(ITEM => P3); 
   PUT(ITEM => P4);
   ------------------------------------------------------------------------
   SEQU_EA.close(file=> AUSWEIS1);
end EASEQ_01;
