with ada.text_io, ada.sequential_io;
procedure EASEQ_04 is
---------------------------------------------------------------------------
-- Werte des uneingeschraenkten Reihungsuntertyps string werden in eine 
-- sequentielle Datei geschrieben, von dort wieder eingelesen und zur
-- aktuellen Ausgabe ausgegeben.
---------------------------------------------------------------------------
   package STRING_SEA is new ada.sequential_io(element_type => string);
   AUSWEIS1 : STRING_SEA.file_type;
   S1 : string := "Die Sonne toent nach alter Weise"; -- 32 Zeichen
   S2 : string := "In Brudersphaeren Wettgesang,";    -- 29 Zeichen
   S3 : string := "Und ihre vorgeschriebne Reise";    -- 29 Zeichen
   S4 : string := "Vollendet sie mit Donnergang.";    -- 29 Zeichen
   EIN: string(1..40) := (others => ' '); -- Laenger als S1 bis S4!
begin
   ------------------------------------------------------------------------
   -- Vier Strings in die Datei schreiben:
   STRING_SEA.create(file => AUSWEIS1, name => "EASEQ_04.AUS");
   STRING_SEA.write(item => S1, file => AUSWEIS1);
   STRING_SEA.write(item => S2, file => AUSWEIS1);
   STRING_SEA.write(item => S3, file => AUSWEIS1);
   STRING_SEA.write(item => S4, file => AUSWEIS1);
   ------------------------------------------------------------------------
   -- Alle Saetze aus der Datei lesen und zur aktuellen Ausgabe ausgeben:
   STRING_SEA.reset(file => AUSWEIS1, mode => STRING_SEA.in_file);
   while not STRING_SEA.end_of_file(file => AUSWEIS1) loop
      STRING_SEA.read     (item => EIN, file => AUSWEIS1);
      ada.text_io.put_line(item => EIN);
      EIN := (others => ' ');
   end loop;
   ------------------------------------------------------------------------
   STRING_SEA.close(file => AUSWEIS1);
end EASEQ_04;