with ada.finalization;
package KON_C_01 is
---------------------------------------------------------------------------
-- Stellt einen limitiert privaten kontrollierten Typ !ZEICHEN_KETTE, eine
-- Konstruktor-Prozedur MACHE_ZEICHEN_KETTE und eine Zuweisungs-Prozedur
-- WEISE_ZU zur Verfuegung. Wenn eine dieser oeffentlichen Prozeduren
-- oder die private Prozedur FINALIZE aufgerufen wird, wird unter anderem
-- eine Meldung zur aktuellen Ausgabe ausgegeben.
---------------------------------------------------------------------------
   type ZEICHEN_KETTE is limited private;
   procedure MACHE_ZEICHEN_KETTE(S: in string; ZK: out ZEICHEN_KETTE);
   procedure WEISE_ZU(ZIEL: out ZEICHEN_KETTE; QUELLE: in ZEICHEN_KETTE);
private
   type Z_STRING      is access string;
-- for  Z_STRING'storage_size use 200_000;
   type ZEICHEN_KETTE is new ada.finalization.limited_controlled with record
      Z: Z_STRING;
   end record;
   procedure FINALIZE(ZK: in out ZEICHEN_KETTE);
end KON_C_01;
