with ada.text_io;
procedure LOOPS_06 is
---------------------------------------------------------------------------
-- Liest wiederholt eine Ganzzahl von der aktuellen Eingabe ein und gibt
-- ihr Quadrat zur aktuellen Ausgabe aus.
-- Kann nur beendet werden, indem der Benutzer anstelle einer Ganzzahl
-- "falsche Daten" (z.B. einen Buchstaben) eingibt. Dadurch wird die Aus-
-- nahme data_error ausgeloest und die Schleife und die Prozedur werden
-- beendet.
---------------------------------------------------------------------------
   type    GANZ    is range -1_000..+1_000_000;
   G1 :    GANZ       range -1_000..+1_000;
   package GANZ_EA is new ada.text_io.integer_io(num => GANZ);
   T1 : constant string :=
      "Eine Zahl G1 (-1000..+1000, 'x' zum Beenden)? ";
begin
   loop
      ada.text_io.put(item =>  T1);
      GANZ_EA    .get(item =>  G1);
      ada.text_io.put(item => "Das Quadrat von G1 ist gleich ");
      GANZ_EA    .put(item =>  G1 ** 2, width => 0);
      ada.text_io.new_line;
   end loop;
   ada.text_io.put(item => "Diese Meldung wird nie ausgegeben!");
exception
   when ada.text_io.data_error =>
      ada.text_io.put_line(item => "LOOP_06: Das war's erstmal!");
end LOOPS_06;