with ada.text_io;
procedure LOOPS_08 is
---------------------------------------------------------------------------
-- Geschachtelte loop-exit Schleifen. In einer aeusseren Schleife wird
-- eine Zahl G1 eingelesen, in einer inneren Schleife eine Zahl G2. Das
-- Produkt G1 * G2 wird ausgegeben.
---------------------------------------------------------------------------
   type    OTTO    is range -2e9..+2e9;
   package OTTO_EA is new ada.text_io.integer_io(num => OTTO);
   G1, G2: OTTO;
begin
   OTTO_EA.default_width := 0; -- Zahlen so kurz wie moeglich ausgeben.
   ------------------------------------------------------------------------
   loop
      ada.text_io.put(item => "Eine Ganzzahl G1 (0 zum Beenden)? ");
      OTTO_EA    .get(item => G1);
   exit when G1 = 0;
      ---------------------------------------------------------------------
      loop
         ada.text_io.put(item => "Eine Ganzzahl G2 (0 zum Beenden)? ");
         OTTO_EA    .get(item => G2);
      exit when G2 = 0;
         OTTO_EA    .put(item => G1);
         ada.text_io.put(item => " mal ");
         OTTO_EA    .put(item => G2);
         ada.text_io.put(item => " ist gleich ");
         OTTO_EA    .put(item => G1 * G2);
         ada.text_io.new_line;
      end loop;
      ---------------------------------------------------------------------
   end loop;
   ------------------------------------------------------------------------
   ada.text_io.put_line(item => "LOOPS_08: Das war's erstmal!");
end LOOPS_08;