package PAKET_01 is
-- Dient zum Verwalten eines Stapels von Zeichen (vom Typ character).
-- Der Stapel selbst ist im Rumpf des Paketes verborgen.
---------------------------------------------------------------------------
   procedure PUSH(ZEICHEN: character);
   -- Wenn der Stapel voll ist, wird die Ausnahme UEBERLAUF ausgeloest.
   -- Sonst wird das ZEICHEN auf den Stapel gelegt.
   ------------------------------------------------------------------------
   procedure POP;
   -- Wenn der Stapel leer ist, wird die Ausnahme UNTERLAUF ausgeloest.
   -- Sonst wird das oberste Element vom Stapel entfernt.
   ------------------------------------------------------------------------
   function TOP return character;
   -- Wenn der Stapel leer ist, wird die Ausnahme UNTERLAUF ausgeloest.
   -- Sonst wird eine Kopie des obersten Stapelelements als Ergebnis
   -- geliefert. Der Stapel bleibt unveraendert.
   ------------------------------------------------------------------------
   function ANZAHL return natural;
   -- Liefert die Anzahl der Elemente, die sich momentan auf dem
   -- Stapel befinden.
   ------------------------------------------------------------------------
   UEBERLAUF: exception; -- Wird evtl. von PUSH ausgeloest.
   UNTERLAUF: exception; -- Wird evtl. von POP oder TOP ausgeloest.
end PAKET_01;