package PAKET_03 is
-- Dient zum Verwalten von Stapeln von Zeichen (vom Typ character). Der
-- Kollege-2 kann beliebig viele Stapel (d.h. Variablen vom Untertyp S_TYP)
-- vereinbaren und die Groesse eines jeden Stapels selbst festlegen.
---------------------------------------------------------------------------
   type S_TYP(MAX_ANZ: natural) is limited private;
   ------------------------------------------------------------------------
   procedure PUSH(ZEICHEN: character; STAPEL: in out S_TYP);
   -- Wenn der STAPEL voll ist, wir die Ausnahme UEBERLAUF ausgeloest.
   -- Sonst wird das ZEICHEN auf den Stapel gelegt.
   ------------------------------------------------------------------------
   procedure POP(STAPEL: in out S_TYP);
   -- Wenn der STAPEL leer ist, wird die Ausnahme UNTERLAUF ausgeloest.
   -- Sonst wird das oberste Element vom Stapel entfernt.
   ------------------------------------------------------------------------
   function TOP(STAPEL: S_TYP) return character;
   -- Wenn der STAPEL leer ist, wird die Ausnahme UNTERLAUF ausgeloest.
   -- Sonst wird eine Kopie des obersten Stapelelements als Ergebnis
   -- geliefert. Der Stapel bleibt unveraendert.
   ------------------------------------------------------------------------
   function ANZAHL(STAPEL: S_TYP) return natural;
   -- Liefert die Anzahl der Elemente, die sich momentan auf dem
   -- STAPEL befinden.
   ------------------------------------------------------------------------
   UEBERLAUF: exception; -- Wird evtl. von PUSH ausgeloest.
   UNTERLAUF: exception; -- Wird evtl. von POP oder TOP ausgeloest.
private
   type S_TYP(MAX_ANZ: natural) is record
      LBI   : natural := 0;
      STAPEL: string(1..MAX_ANZ);
   end record;
end PAKET_03;