with ada.text_io;
procedure REKUP_01 is
---------------------------------------------------------------------------
-- Enthaelt die rekursive Funktion FAKULTAET und erlaubt dem Benutzer,
-- diese Funktion mit einem Parameter zu versehen und aufzurufen.
---------------------------------------------------------------------------
   type    NAT    is range 0..1_000_000_000;
   package NAT_EA is new ada.text_io.integer_io(num => NAT);
   EIN : NAT;
   ---------------------------------------------------------
   function FAKULTAET(N: NAT) return NAT is
   -- Liefert das Produkt aller Ganzzahlen von 1 bis N.
   begin
      if N < 2 then
         return 1;
      else
         return N * FAKULTAET(N-1);
      end if;
   end FAKULTAET;
   ---------------------------------------------------------
begin -- REKUP_01
   ada.text_io.put(item => "Eine Ganzzahl G (0..100)? ");
   NAT_EA     .get(item =>  EIN);
   ada.text_io.put(item => "Die Fakultaet von G ist ");
   NAT_EA     .put(item =>  FAKULTAET(EIN));
exception
   when constraint_error =>
   ada.text_io.put(item => "leider groesser als " & NAT'image(NAT'last));
end REKUP_01;