with ada.text_io;
procedure REKUP_04 is
---------------------------------------------------------------------------
-- Enthaelt die rekursive Prozedur SAEGEZAHN und erlaubt dem Benutzer,
-- diese Prozedur mit Parametern zu versehen und aufzurufen.
---------------------------------------------------------------------------
   type    NAT    is range 0..80;
   package NAT_EA is new ada.text_io.integer_io(num => NAT);
   WIEVIEL_ZEILEN: NAT;
   WIEVIEL_AKT_L : NAT;
   WIEVIEL_MAX_L : NAT;
   ---------------------------------------------------------
   procedure SAEGEZAHN(ZEILEN, AKT_L, MAX_L: NAT) is
      STERNCHEN: constant string(1..integer(AKT_L)) := (others => '*');
   begin -- SAEGEZAHN
      if ZEILEN = 0 then
         return;                 -- kein rekursiver Aufruf;
      else
         ada.text_io.put_line(item => STERNCHEN);
         if AKT_L > 2 then
            SAEGEZAHN(ZEILEN-1, AKT_L-2, MAX_L);
         else
            SAEGEZAHN(ZEILEN-1, MAX_L,   MAX_L);
         end if;
      end if;
   end SAEGEZAHN;
   ---------------------------------------------------------
begin -- REKUP_04
   ada.text_io.put(item => "Wieviele Zeilen insges. (0..80)? ");
   NAT_EA     .get(item =>  WIEVIEL_ZEILEN);
   ada.text_io.put(item => "Laenge der ersten Zeile (0..80)? ");
   NAT_EA     .get(item =>  WIEVIEL_AKT_L);
   ada.text_io.put(item => "Max. Laenge einer Zeile (0..80)? ");
   NAT_EA     .get(item =>  WIEVIEL_MAX_L);
   SAEGEZAHN(WIEVIEL_ZEILEN, WIEVIEL_AKT_L, WIEVIEL_MAX_L);
end REKUP_04;