package body SCHAB_11 is
   type TABELLE is array(positive range <>) of E_TYP;
   STAPEL: TABELLE(1..MAX_ANZ);
   LBI   : natural := STAPEL'first-1; -- Letzter belegter Index des STAPELs.
                                      -- Zeigt anfangs "vor den STAPEL".
   ------------------------------------------------------------------------
   procedure PUSH(ELEMENT: E_TYP) is
   begin
      if LBI = STAPEL'last then
         raise UEBERLAUF;
      else
         LBI         := LBI + 1;
         STAPEL(LBI) := ELEMENT;
      end if;
   end PUSH;
   ------------------------------------------------------------------------
   procedure POP is
   begin
      if LBI < STAPEL'first then
         raise UNTERLAUF;
      else
         LBI := LBI - 1;
      end if;
   end POP;
   ------------------------------------------------------------------------
   function TOP return E_TYP is
   begin
      if LBI < STAPEL'first then
         raise UNTERLAUF;
      else
         return STAPEL(LBI);
      end if;
   end TOP;
   ------------------------------------------------------------------------
   function ANZAHL return natural is
   begin
      return LBI;
   end ANZAHL;
end SCHAB_11;