generic
   type INDX is (<>);
   type KOMP is private;
   type REIH is array(INDX range <>) of KOMP;
   with function SIND_OK(K1, K2: KOMP) return boolean;
   with procedure GET(ITEM: out KOMP);
   with procedure PUT(ITEM: in  KOMP);
   -- Die Funktion SIND_OK sollte true liefern, wenn die beiden Komponenten
   -- K1 und K2 richtig sortiert sind ("richtig rum liegen"), sonst false.
   -- Die Prozedur GET sollte von der aktuellen Eingabe einen KOMP-Wert
   -- nach ITEM einlesen.
   -- Die Prozedur PUT sollte den Wert von ITEM zur aktuellen Ausgabe
   -- ausgeben.
package SCHAB_15 is
   procedure SORT(R:    in out REIH);
   procedure GET (ITEM:    out REIH);
   procedure PUT (ITEM: in     REIH);
   -- Die Prozedur SORT sortiert die Reihung R so, dass die Funktion
   -- SIND_OK fuer je zwei nebeneinanderliegende Komponenten true liefert.
   -- Die Prozedur GET liest von der aktuellen Eingabe je einen KOMP-Wert
   -- in jede Komponente der Reihung ITEM.
   -- Die Prozedur PUT gibt die Werte der Komponenten der Reihung ITEM zur
   -- aktuellen Ausgabe aus.
end SCHAB_15;