package TAG_B_01 is
   type GLEIT is digits 6 range -10_000.0..+10_000.0;
   ------------------------------------------------------------------------
   type PUNKT is tagged private;

   function  MAKE       (MX, MY: GLEIT) return PUNKT;
   -- Macht aus MX und MY einen Punkt und liefert ihn als Ergebnis
   procedure MACHE_PUNKT(MX, MY: GLEIT; P: out PUNKT);
   -- Bringt die Werte MX und MY in den Punkt P hinein.
   function ABSTAND_U(P: PUNKT) return GLEIT;
   -- Liefert den Abstand zwischen P und dem Ursprung (0.0, 0.0)
   procedure PUT(ITEM: PUNKT);
   -- Gibt ITEM in Textform zur aktuellen Ausgabe aus
   ------------------------------------------------------------------------
   type QUADRAT is new PUNKT with private;
   
   function MAKE(MX, MY: GLEIT)        return QUADRAT;
   -- Diese Funktion muss sein, weil der Typ QUADRAT vom Typ PUNKT eine
   -- abstrakte Funktion MAKE (mit 2 GLEIT-Parametern) erbt!
   function MAKE(MX, MY, SEITE: GLEIT) return QUADRAT;
   -- Eigentliche MAKE-Funktion fuer QUADRAT (mit 3 GLEIT-Paramtern).
   -- Macht aus MX, MY und SEITE ein Quadrat und liefert es als Ergebnis.
   procedure MACHE_QUADRAT(MX, MY, SEITE: GLEIT; Q: out QUADRAT);
   -- Bringt die Werte MX, MY und SEITE in das Quadrat Q hinein.

   function FLAECHE(Q:QUADRAT) return GLEIT;
   -- Liefert die Flaeche von Q
   function UMFANG(Q: QUADRAT) return GLEIT;
   -- Liefert den Umfang von Q
   procedure PUT(ITEM: QUADRAT);
   -- Gibt ITEM in Textform zur aktuellen Ausgabe aus
   ------------------------------------------------------------------------
private
   type PUNKT is tagged record
      X, Y: GLEIT;
   end record;
   
   type QUADRAT is new PUNKT with record
      DELTA_X: GLEIT;
   end record;
end TAG_B_01;