with ada.text_io, ada.numerics.generic_elementary_functions;
package body TAG_C_01 is
   package ELEM_FUNK is new ada.numerics.generic_elementary_functions
      (float_type => GLEIT);
      
   procedure MACHE_PUNKT(MX, MY: GLEIT; P: out PUNKT) is
   begin
      P.X := MX;
      P.Y := MY;
   end MACHE_PUNKT;
   
   function ABSTAND_U(P: PUNKT) return GLEIT is
   begin
      return ELEM_FUNK.sqrt(P.X**2 + P.Y**2);
   end ABSTAND_U;
   
   procedure PUT(ITEM: PUNKT) is
   begin
      ada.text_io.put(item => "X: ");
      GLEIT_EA   .put(item => ITEM.X);
      ada.text_io.put(item => " Y: ");
      GLEIT_EA   .put(item => ITEM.Y);
      ada.text_io.put(item => " AU: ");
      GLEIT_EA   .put(item => ABSTAND_U(P => ITEM));
      ada.text_io.new_line;
   end PUT;
   
   procedure SCHIEBE(CP: in out PUNKT'class; DX, DY: GLEIT) is
   begin
      CP.X := CP.X + DX;
      CP.Y := CP.Y + DY;
      PUT(ITEM => CP);
   end SCHIEBE;
end TAG_C_01;