with ada.text_io;
package body TAG_C_02 is
   subtype PUNKT is TAG_C_01.PUNKT;
   package GLEIT_EA renames TAG_C_01.GLEIT_EA;
   
   procedure MACHE_QUADRAT(MX, MY, SEITE: GLEIT; Q: out QUADRAT) is
   begin
      TAG_C_01.MACHE_PUNKT(MX => MX, MY => MY, P => PUNKT(Q));
      Q.DELTA_X := SEITE / 2.0;
   end MACHE_QUADRAT;
   
   function FLAECHE(Q: QUADRAT) return GLEIT is
   begin
      return 4.0 * Q.DELTA_X**2;
   end FLAECHE;
   
   procedure PUT(ITEM: QUADRAT) is
   begin
      ada.text_io.put(item => "Quadrat mit Mittelpunkt bei ");
      TAG_C_01   .PUT(ITEM =>  PUNKT(ITEM));
      ada.text_io.put(item => "Seite:    ");
      GLEIT_EA   .put(item =>  2.0 * ITEM.DELTA_X);
      ada.text_io.new_line;
      ada.text_io.put(item => "Flaeche:  ");
      GLEIT_EA   .put(item =>  FLAECHE(Q => ITEM));
      ada.text_io.new_line(spacing => 2);
   end PUT;
end TAG_C_02;