with ada.text_io;
procedure TASKS_01 is
---------------------------------------------------------------------------
-- Drei Tasks (ALICE, BERTA und das Hauptprogramm) geben "um die Wette"
-- Zeichenketten zur aktuellen Ausgabe aus.
---------------------------------------------------------------------------
   procedure BELASTUNG(WIE_STARK: natural) is
   -- Dient zum "Belasten" von Tasks mit "Rechenarbeit".
      INT1: integer := -1;
   begin
      for I in natural range 0..WIE_STARK loop
         INT1 := INT1 * INT1;
      end loop;
   end BELASTUNG;
   ------------------------------------------------------------------------
   procedure PUT(ITEM: string) is
   -- Gibt ITEM zehnmal zur aktuellen Ausgabe aus, jeweils mit einer
   -- Ziffer zwischen '0' und '9' und einem Blank dahinter:
      BLANK: constant character := ' ';
   begin
      for C2 in character range '0'..'9' loop
         ada.text_io.put(item => ITEM & C2 & BLANK);
         BELASTUNG(WIE_STARK => 100_000);
      end loop;
   end PUT;
   --------------------------------------------------------
   task ALICE;              -- Spezifikation von ALICE
   task BERTA;              -- Spezifikation von BERTA
   --------------------------------------------------------
   task body ALICE is       -- Rumpf von ALICE
   begin
      for C1 in character range '0'..'5' loop
         PUT(ITEM => "Alice" & C1);
         BELASTUNG(WIE_STARK => 50_000);
      end loop;
   end ALICE;
   --------------------------------------------------------
   task body BERTA is       -- Rumpf von Berta
   begin
      for C1 in character range '0'..'5' loop
         PUT(ITEM => "Berta" & C1);
         BELASTUNG(WIE_STARK => 10_000);
      end loop;
   end BERTA;
   --------------------------------------------------------
begin
   for C1 in character range '0'..'5' loop -- Anweisungen
      PUT(ITEM => "Haupt" & C1);           -- des Haupt-
      BELASTUNG(WIE_STARK => 1_000);       -- programms.
   end loop;
end TASKS_01;
