with ada.text_io;
procedure TASKS_08 is
---------------------------------------------------------------------------
-- Demonstriert die Wirkung einer asynchronen select-Anweisung mit einer
-- delay-Anweisung als Ausloeser (triggering statement).
-- Stellt fest, wie oft der Ausfuehrer eine einfache Schleife innerhalb von
-- 1.0 Sekunden ausfuehren kann. Gibt die Anzahl zur aktuellen Ausgabe aus.
---------------------------------------------------------------------------
   ZAEHLER: natural := 0;
begin
   select
      delay 1.0;
   then abort
      loop                       -- Eine Endlosschleife, die
         ZAEHLER := ZAEHLER + 1; -- nach 1.0 Sekunden
      end loop;                  -- abgebrochen wird.
   end select;
   ada.text_io.put_line("In einer Sekunde von 0 auf " & natural'image(ZAEHLER));
end TASKS_08;