with SCHAB_07, ada.text_io;
procedure TESTS_07 is
-- Kleines Testprogramm zum Testen der Schablone SCHAB_07:
   ------------------------------------------------------------------------
   function A_TO_B(TEXT: string) return string is
   -- Liefert eine Kopie von TEXT, in der alle 'A's durch 'B's eretzt sind.
      KOPIE : string := TEXT;
   begin
      for I in positive range KOPIE'range loop
         if KOPIE(I)  = 'A' then
            KOPIE(I) := 'B';
         end if;
      end loop;
      return KOPIE;
   end A_TO_B;
   ------------------------------------------------------------------------
   function GROSS(TEXT: string) return string is
   -- Liefert eine Kopie von TEXT, in der jeder kleine Buchstabe durch den
   -- entsprechenden grossen Buchstaben ersetzt wurde.
      KOPIE :          string   := TEXT;
      DIFF  : constant positive := character'pos('a') - character'pos('A');
   begin
      for I in positive range KOPIE'range loop
         if KOPIE(I) in 'a'..'z' then
            KOPIE(I) := character'val(character'pos(KOPIE(I))-DIFF);
         end if;
      end loop;
      return KOPIE;
   end GROSS;
   ------------------------------------------------------------------------
   function FILET(TEXT: string) return string is
   -- Liefert TEXT ohne das erste und ohne das letzte Zeichen.
   begin
      return TEXT(TEXT'first+1..TEXT'last-1);
   end FILET;
   ------------------------------------------------------------------------
   function K1 is new SCHAB_07(F1 => GROSS, F2 => A_TO_B);
   function K2 is new SCHAB_07(F1 => FILET, F2 => K1);
begin -- TESTS_07
   ada.text_io.put_line(item => K1(S => "rababbal"));
   ada.text_io.put_line(item => K2(S => "rababbal"));
end TESTS_07;