with ada.text_io;
use  ada.text_io;
procedure TYPEN_02 is
---------------------------------------------------------------------------
-- Die vordefinierten Operationen wie "+", "-", "*" etc. gehoehren
-- zu einem Typ, die vom Programmierer vereinbarten Unterprogramme
-- gehoeren dagegen normalerweise zu einem Untertyp.
---------------------------------------------------------------------------
   type    GANZ    is range -5_000..+10_000;
   package GANZ_EA is new ada.text_io.integer_io(num => GANZ);
   function PLUS3(G: GANZ) return GANZ is
   begin
      return G + 3;
   end PLUS3;
   G1 : GANZ := GANZ'last;
begin -- TYPEN_02
   ------------------------------------------------------------------------
   BLOCK1: begin
      GANZ_EA.put(item => G1 + 1);
      put_line("GANZ_EA.put(10_001) hat keine Ausnahme ausgeloest!");
   exception
      when constraint_error =>
         put_line("GANZ_EA.put(10_001) hat constraint_error ausgeloest!");
   end BLOCK1;
   ------------------------------------------------------------------------
   BLOCK2: begin
      G1 := PLUS3(9_998);
      put_line("PLUS3(9_998)        hat keine Ausnahme ausgeloest!");
   exception
      when constraint_error =>
         put_line("PLUS3(9_998)        hat constraint_error ausgeloest!");
   end BLOCK2;
   ------------------------------------------------------------------------
   put_line("TYPEN_02: Das war's erstmal!");
end TYPEN_02;