package body TYPEN_04 is
---------------------------------------------------------------------------
-- "Trivialer" Rumpf fuer das Paket TYPEN_04. Das Paket soll nur
-- demonstrieren, wie man Typen vereinbart und ist ansonsten nicht
-- benutzbar.
---------------------------------------------------------------------------
   task body ZEICHEN_PUFFER is
      PUFFER: string(1..100);
      LW    : natural := 0; -- last written
      LR    : natural := 0; -- last read
   begin
      loop
         select
            when LW < PUFFER'last =>
            accept TUE_REIN(C: in character) do
               LW := LW + 1;
               PUFFER(LW) := C;
            end TUE_REIN;
         or when PUFFER'first <= LR and LR < LW =>
            accept HOL_RAUS(C: out character) do
               LR := LR + 1;
               C  := PUFFER(LR);
            end HOL_RAUS;
         or
            accept LOESCHE_ALLE_ZEICHEN do
               LW := PUFFER'first - 1;
               LR := PUFFER'first - 1;
            end LOESCHE_ALLE_ZEICHEN;
         or
            terminate;
         end select;
      end loop;
   end ZEICHEN_PUFFER;
   ------------------------------------------------------------------------
   task body AUSGABE is
   begin
      loop
         select
            accept EINGANG1;
         or
            terminate;
         end select;
      end loop;
   end AUSGABE;
   ------------------------------------------------------------------------
   protected body GESCHUETZTES_ZEUGNIS is
      function  LIES            (F: in FACH) return ZENSUR is
      begin
         return Z(F);
      end LIES;
      procedure TRAGE_ZENSUR_EIN(F: in FACH; ZEN1: in ZENSUR) is
      begin
         Z(F) := ZEN1;
      end TRAGE_ZENSUR_EIN;
   end GESCHUETZTES_ZEUGNIS;
   ------------------------------------------------------------------------
   protected body GESCHUETZTE_ZAHL is
      function LIES return integer is
      begin
         return Z;
      end LIES;
      
      procedure SCHREIB(WERT: integer) is
      begin
         Z := WERT;
      end SCHREIB;
   end GESCHUETZTE_ZAHL;
end TYPEN_04;