with ada.text_io;
use  ada.text_io;
procedure UPROS_06 is
---------------------------------------------------------------------------
-- Testet mithilfe von zwei Unterprogrammen (und zwei verschiedenen Metho-
-- den), ob Stringparameter per Zeiger oder per Kopie uebergebeh werden.
---------------------------------------------------------------------------
   subtype STRING1 is string(1.. 1); -- Ziemlich kurze Strings
   subtype STRING2 is string(1..50); -- Etwas laengere Strings
   GLOBAL1    :          STRING1 := (others => 'A');
   GLOBAL2    :          STRING2 := (others => 'A');
   WIE_VORHER : constant STRING2 := GLOBAL2;
   ------------------------------------------------------------------------
   procedure TEST1(PARAM1: in out STRING1) is
   -- Veraendert PARAM1 und prueft, ob sich dadurch auch GLOBAL1 veraendert
   -- hat (wenn ja, wurde PARAM1 per Zeiger uebergeben)
   begin
      PARAM1(PARAM1'first) := 'B';
      if PARAM1 = GLOBAL1 then
         put_line("STRING1-Parameter werden per Zeiger uebergeben!");
      else
         put_line("STRING1-Parameter werden per Kopie uebergeben!");
      end if;
   end TEST1;
   ------------------------------------------------------------------------
   procedure TEST2(PARAM2: in out STRING2) is
   -- Veraendert PARAM2 und beendet sich dann durch Ausloesen einer
   -- Ausnahme constraint_error. Wurde GLOBAL2 veraendert oder nicht?
   begin
      PARAM2(PARAM2'first)   := 'B';
      PARAM2(PARAM2'first-1) := 'X'; -- constraint_error ausloesen!
   end TEST2;
begin -- UPROS_06
   TEST1(PARAM1 => GLOBAL1);
   TEST2(PARAM2 => GLOBAL2); -- Loest constraint_error aus!
exception
   when constraint_error =>
      if GLOBAL2 = WIE_VORHER then
         put_line("STRING2-Parameter werden per Kopie uebergeben!");
      else
         put_line("STRING2-Parameter werden per Zeiger uebergeben!");
      end if;
end UPROS_06;