with ada.text_io;
procedure UPROS_07 is
---------------------------------------------------------------------------
-- Diese Prozedur UPROS_07 und die lokale Prozedur PUT_PRIM werden beide
-- mit einer return-Anweisung beendet.
---------------------------------------------------------------------------
   type    GANZ    is range 0..1_000_000_000;
   package GANZ_EA is new ada.text_io.integer_io(num => GANZ);
   EIN :   GANZ;   -- Wird eingelesen
   ------------------------------------------------------------------------
   procedure PUT_PRIM(ZAHL: in GANZ) is
   -- Prueft, ob ZAHL eine Primzahl ist oder nicht und gibt eine
   -- entsprechende Meldung zur aktuellen Ausgabe aus.
      ZAHL_S: constant string := GANZ'image(ZAHL) & ' ';
   begin -- PUT_PRIM
      for TEILER in GANZ range 2 .. ZAHL/2 loop
         if ZAHL mod TEILER = 0 then
            ada.text_io.put_line(item => ZAHL_S & "ist keine Primzahl!");
            return; -- Beende die Prozedur PUT_PRIM!
         end if;
      end loop;
      ada.text_io.put_line(item => ZAHL_S & "ist eine Primzahl!");
   end PUT_PRIM;
   ------------------------------------------------------------------------
begin -- UPROS_07
   loop
      ada.text_io.put("Eine Ganzzahl (0..1_000_000_000, 0 zum Beenden)? ");
      GANZ_EA.get(item => EIN);
      if EIN = 0 then
         ada.text_io.put_line(item => "UPROS_07: Das war's erstmal!");
         return; -- Beende die Prozedur UPROS_07!
      end if;
      PUT_PRIM(ZAHL => EIN);
   end loop;
   ada.text_io.put_line(item => "Diese Meldung wird nie ausgegeben!");
end UPROS_07;