with ada.text_io;
procedure UPROS_21 is
---------------------------------------------------------------------------
-- Eine lokale Funktion namens ABSOLUT_KLEINER wird vereinbart und aufge-
-- rufen. Die aktuellen Parameter fuer die Funktion werden von der aktu-
-- ellen Eingabe eingelesen und das Funktionsergebnis wird zur aktuellen
-- Ausgabe ausgegeben.
---------------------------------------------------------------------------
   type    GANZ    is range -2e9..+2e9;
   G1, G2: GANZ;
   package GANZ_EA is new ada.text_io.integer_io(num => GANZ);
   ------------------------------------------------------------------------
   function ABSOLUT_KLEINER(FP1, FP2: GANZ) return boolean is
      BETRAG1: constant GANZ := abs(FP1);
      BETRAG2: constant GANZ := abs(FP2);
   begin
      return BETRAG1 < BETRAG2;
   end ABSOLUT_KLEINER;
   ------------------------------------------------------------------------
begin
   loop
      ada.text_io.put("Zwei Ganzzahlen (-2e9..+2e9, 0 zum Beenden)? ");
      GANZ_EA.get(item => G1);
   exit when G1 = 0;
      GANZ_EA.get(item => G2);
   exit when G2 = 0;
      BLOCK1: declare
         G1_S: constant string := GANZ'image(G1);
         G2_S: constant string := GANZ'image(G2);
      begin
         ada.text_io.put(item => G1_S & " ist ");
         if not ABSOLUT_KLEINER(G1, G2) then
            ada.text_io.put(item => "nicht ");
         end if;
         ada.text_io.put(item => "absolut kleiner als " & G2_S);
         ada.text_io.new_line;
      end BLOCK1;
   end loop;
   ada.text_io.put_line(item => "UPROS_21: Das war's erstmal!");
end UPROS_21;