with ada.text_io;
procedure UPROS_22 is
---------------------------------------------------------------------------
-- Die lokale Funktion ADD5 hat 5 Parameter, davon 3 mit Vorbesetzung.
-- Sie wird mit 2, 3, 4 und 5 aktuellen Parametern aufgerufen.
---------------------------------------------------------------------------
   type    GANZ    is range -2e9..+2e9;
   package GANZ_EA is new ada.text_io.integer_io(num => GANZ);
   ------------------------------------------------------------------------
   function ADD5(FP1, FP2: GANZ; FP3, FP4, FP5 : GANZ := 0) return GANZ is
   -- Liefert die Summe aller Parameter FP1 bis FP5.
   begin
      return FP1 + FP2 + FP3 + FP4 + FP5;
   end ADD5;
   ------------------------------------------------------------------------
begin
   GANZ_EA.default_width := 0; -- Zahlen moeglichst kurz ausgeben.
   ada.text_io.put(item => "17 + 21              ist gleich ");
   GANZ_EA    .put(item => ADD5(17, 21));
   ada.text_io.new_line;
   ada.text_io.put(item => "17 + 21 + 3          ist gleich ");
   GANZ_EA    .put(item => ADD5(17, 21, 3));
   ada.text_io.new_line;
   ada.text_io.put(item => "17 + 21 + 3 + 10     ist gleich ");
   GANZ_EA    .put(item => ADD5(17, 21, 3, 10));
   ada.text_io.new_line;
   ada.text_io.put(item => "17 + 21 + 3 + 10 + 1 ist gleich ");
   GANZ_EA    .put(item => ADD5(17, 21, 3, 10, 1));
   ada.text_io.new_line;
end UPROS_22;