with ada.text_io;
procedure UPROS_24 is
---------------------------------------------------------------------------
-- Eine Ganzzahl wird eingelesen, mit der lokalen Funktion MAX_TEILER wird
-- ihr groesster Teiler berechnet und ausgegeben.
---------------------------------------------------------------------------
   function MAX_TEILER(ZAHL: positive) return positive is
   -- Liefert den groessten Teiler von ZAHL bzw. 1, falls ZAHL prim ist.
   begin
      for TEILER in reverse positive range 1..ZAHL/2 loop
         if ZAHL mod TEILER = 0 then
            return TEILER;
         end if;
      end loop;
      return 1; -- Falls ZAHL gleich 1 ist!
   end MAX_TEILER;
   ------------------------------------------------------------------------
   package NATURAL_EA is new ada.text_io.integer_io(num => natural);
   EIN: natural; -- Wird eingelesen
begin
   loop
      ada.text_io.put(item => "Eine positive Ganzzahl  G (0 zum Beenden)? ");
      NATURAL_EA .get(item => EIN);
   exit when EIN = 0;
      ada.text_io.put(item => "Der groesste Teiler von G ist gleich ");
      NATURAL_EA .put(item => MAX_TEILER(EIN), width => 0);
      ada.text_io.new_line;
   end loop;
   ada.text_io.put_line(item => "UPROS_24: Das war's erstmal!");
end UPROS_24;