with ada.text_io;
procedure VERBU_01 is
---------------------------------------------------------------------------
-- Ein uneingeschraenkter Verbunduntertyp namens KFZ wird vereinbart.
---------------------------------------------------------------------------
   type    WAGEN_ART is (LAST, PERSONEN);
   type    ANZAHL    is range 0..100_000;
   subtype ANZAHL_S  is ANZAHL range 0..10;
   subtype ANZAHL_A  is ANZAHL range 0..20;
   subtype STRING10  is string(1..10);
   -----------------------------------------------
   type    KFZ(ART: WAGEN_ART) is record
      GEWICHT : ANZAHL := 0;
      KENNZ   : STRING10 := (others => '?');
      case ART is
         when PERSONEN =>
            SITZE   : ANZAHL_S := 0;
         when LAST =>
            ACHSEN  : ANZAHL_A := 0;
            HAENGER : boolean  := false;
      end case;
   end record;
   -----------------------------------------------
   PW1 :          KFZ(ART => PERSONEN);
   PW2 :          KFZ(ART => PERSONEN) := (PERSONEN, 850, "BRB-AB1234", 5);
   PW3 : constant KFZ                  := (ART => PERSONEN, SITZE => 5,
                                           GEWICHT => 850, KENNZ => "OHV-XY4321");
   LW1 :          KFZ(ART => LAST)     := (ART => LAST, GEWICHT => 25_000, ACHSEN => 3,
                                           KENNZ => "HVL-PQ9876", HAENGER => false);
   LW2 : constant KFZ                  := (LAST, 30_000, "HVL-RS6789", 5, true);
begin
   null;
end VERBU_01;
