with ada.text_io;
procedure ZEIGR_01 is
---------------------------------------------------------------------------
-- Liest Ganzzahlen von der aktuellen Eingabe ein und speichert sie in
-- einer einfach verketteten Liste ("Perlenkette") bis der Benutzer die
-- Zahl 0 eingibt. Gibt anschliessend alle eingelesenen Zahlen zur
-- aktuellen Ausgabe aus.
---------------------------------------------------------------------------
   type GANZ             is range -500..+500;
   type PERLE;
   type ZEIGER_AUF_PERLE is access PERLE;
   type PERLE            is record
      DATEN: GANZ;
      NEXT : ZEIGER_AUF_PERLE;
   end record;
   ERST : constant ZEIGER_AUF_PERLE := new PERLE; -- Zeigt auf erste Perle
   HIER :          ZEIGER_AUF_PERLE := ERST;      -- Zeigt auf aktuelle Perle
   package GANZ_EA is new ada.text_io.integer_io(num => GANZ);
begin
   ------------------------------------------------------------------------
   -- Ganzzahlen einlesen und in einer verketteten Liste speichern:
   ada.text_io.put_line("Bitte Ganzzahlen eingeben, 0 zum Beenden:");
   loop
      ada.text_io.put(item => "Ganzzahl oder 0? ");
      GANZ_EA.get(item => HIER.all.DATEN);
   exit when HIER.all.DATEN = 0;
      HIER.all.NEXT := new PERLE;
      HIER          := HIER.all.NEXT;
   end loop;
   ------------------------------------------------------------------------
   -- Die Zahlen in der verketteten Liste ausgeben:
   ada.text_io.put_line("Sie haben folgende Zahlen eingegeben:");
   HIER := ERST;
   while HIER.all.NEXT /= null loop
      GANZ_EA.put(item => HIER.all.DATEN);
      HIER := HIER.all.NEXT;
   end loop;
   ada.text_io.new_line;
   ada.text_io.put_line("ZEIGR_01: Das war's erstmal!");
end ZEIGR_01;