with ada.text_io;
procedure ZEIGR_02 is
---------------------------------------------------------------------------
-- Liest Worte von der aktuellen Eingabe ein und speichert sie in
-- einer einfach verketteten Liste ("Perlenkette") bis der Benutzer ein
-- leeres Wort eingibt. Gibt anschliessend alle eingelesenen Worte zur
-- aktuellen Ausgabe aus.
---------------------------------------------------------------------------
   type ZEIGER_AUF_STRING is access string;
   type PERLE;
   type ZEIGER_AUF_PERLE  is access PERLE;
   type PERLE             is record
      DATEN: ZEIGER_AUF_STRING;
      NEXT : ZEIGER_AUF_PERLE;
   end record;
   ERST : constant ZEIGER_AUF_PERLE := new PERLE; -- Zeigt auf erste Perle
   HIER :          ZEIGER_AUF_PERLE := ERST;      -- Zeigt auf aktuelle Perle
   EIN  :          string(1..100);
   LBI  :          natural;
begin
   ------------------------------------------------------------------------
   -- Worte einlesen und in einer verketteten Liste speichern:
   ada.text_io.put_line("Bitte Worte eingeben, leeres Wort zum Beenden:");
   loop
      ada.text_io.put     (item => "Wort oder leeres Wort? ");
      ada.text_io.get_line(item => EIN, last => LBI);
   exit when LBI < EIN'first;
      HIER.all.DATEN := new string'(EIN(EIN'first..LBI));
      HIER.all.NEXT  := new PERLE;
      HIER           := HIER.all.NEXT;
   end loop;
   ------------------------------------------------------------------------
   -- Die Worte in der verketteten Liste ausgeben:
   ada.text_io.put_line("Sie haben folgende Worte eingegeben:");
   HIER := ERST;
   while HIER.all.NEXT /= null loop
      ada.text_io.put_line(item => HIER.all.DATEN.all);
      HIER := HIER.all.NEXT;
   end loop;
   ada.text_io.new_line;
   ada.text_io.put_line("ZEIGR_02: Das war's erstmal!");
end ZEIGR_02;