with ada.text_io;
procedure ZEIGR_04 is
---------------------------------------------------------------------------
-- Demonstriert Zeiger, die nicht auf allokierte ("mit new erzeugte")
-- Variablen sondern auf vereinbarte Variablen zeigen.
---------------------------------------------------------------------------
   type PERLE;
   type ZEIGER_AUF_PERLE is access all PERLE;
   ------------------------------------------------------------------------
   type PERLE is record
      DATEN : string(1..15) := (others => '?');
      NEXT  : ZEIGER_AUF_PERLE;
   end record;
   ------------------------------------------------------------------------
   V3 : aliased PERLE := (DATEN => "Na, es geht so!", NEXT => null);
   V2 : aliased PERLE := (DATEN => "Wie geht es?   ", NEXT => V3'access);
   V1 : aliased PERLE := (DATEN => "Hallo!         ", NEXT => V2'access);
   Z1 : ZEIGER_AUF_PERLE := V1'access;
   ------------------------------------------------------------------------
begin
   while Z1 /= null loop
      ada.text_io.put_line(item => Z1.all.DATEN);
      Z1 := Z1.all.NEXT;
   end loop;
   ada.text_io.put_line(item => "ZEIGR_04: Das war's erstmal!");
end ZEIGR_04;
