with ada.text_io;
procedure ZEIGR_06 is
---------------------------------------------------------------------------
-- Demonstriert Zeiger, die auf Unterprogramme (Prozeduren bzw.
-- Funktionen) zeigen.
---------------------------------------------------------------------------
   type ZEIGER_AUF_PROZ is access procedure (ANZAHL: positive);
   type ZEIGER_AUF_FUNK is access function (ANZAHL: positive) return string;
   ------------------------------------------------------------------------
   procedure P1(ANZ: positive) is
      AUSRUFEZEICHEN: string(1..ANZ) := (others => '!');
   begin
      ada.text_io.put_line(item => "Hallo" & AUSRUFEZEICHEN);
   end P1;
   ------------------------------------------------------------------------
   procedure P2(ANZ: positive) is
      FRAGEZEICHEN: string(1..ANZ) := (others => '?');
   begin
      ada.text_io.put_line(item => "Wie geht es" & FRAGEZEICHEN);
   end P2;
   ------------------------------------------------------------------------
   procedure P3(ANZ: positive) is
      PUNKTE: string(1..ANZ) := (others => '.');
   begin
      ada.text_io.put_line(item => "Na, es geht so" & PUNKTE);
   end P3;
   ------------------------------------------------------------------------
   TAB1: array(positive range 1..3) of ZEIGER_AUF_PROZ :=
      (1 => P1'access,
       2 => P2'access,
       3 => P3'access);
   ---------------------------------------------------------------------
   function F1(ANZ: positive) return string is
      AUSRUFEZEICHEN: string (1..ANZ) := (others => '!');
   begin
      return "Hallo" & AUSRUFEZEICHEN;
   end F1;
   ---------------------------------------------------------------------
   function F2(ANZ: positive) return string is
      FRAGEZEICHEN: string (1..ANZ) := (others => '?');
   begin
      return "Wie geht es" & FRAGEZEICHEN;
   end F2;
   ---------------------------------------------------------------------
   function F3(ANZ: positive) return string is
      PUNKTE: string (1..ANZ) := (others => '.');
   begin
      return "Na, es geht so" & PUNKTE;
   end F3;
   ---------------------------------------------------------------------
   TAB2: array(positive range 1..3) of ZEIGER_AUF_FUNK :=
      (1 => F1'access,
       2 => F2'access,
       3 => F3'access);
   ---------------------------------------------------------------------
begin
   for I in TAB1'range loop
      TAB1(I).all(ANZAHL => 2*I);
   end loop;
   ada.text_io.new_line;
   --------------------------------------------------------
   for I in TAB2'range loop
      ada.text_io.put_line(TAB2(I).all(ANZAHL => 2*I));
   end loop;
   ada.text_io.put_line("ZEIGR_06: Das war's erstmal!");
end ZEIGR_06;
